<?php
/**
 * @package Google Maps
 * @author Huge-IT
 * @copyright (C) 2014 Huge IT. All rights reserved.
 * @license GNU/GPLv3 http://www.gnu.org/licenses/gpl-3.0.html
 * @website		http://www.huge-it.com/
 **/
defined('_JEXEC') or die;
jimport('joomla.form.helper');
JFormHelper::loadFieldClass('list');

class JFormFieldGooglemaps extends JFormFieldList
{
   
    protected $type = 'Googlemaps';
    protected function getOptions() 
    {
       
        $db = JFactory::getDbo();
        $query = $db->getQuery(true);
        $query->select('id, name, type,zoom,border_radius,center_lat,center_lng,width,height,align')
                ->from('#__g_maps');
        $db->setQuery($query);
        $messages = $db->loadObjectList();
        $options = array();

        if ($messages)
        {
            foreach($messages as $message) 
            {
                $options[] = JHtml::_('select.option', $message->id, $message->name,$message-> type, $message->zoom, $message->nameborder_radius,
                                        $message->center_lat,$message->center_lng,$message->width,$message->height,$message->align);
            }
        }
        $options = array_merge(parent::getOptions(), $options);
       
        return $options;
    }
}
