<?php
/**
 * @package Google Maps
 * @author Huge-IT
 * @copyright (C) 2014 Huge IT. All rights reserved.
 * @license GNU/GPLv3 http://www.gnu.org/licenses/gpl-3.0.html
 * @website		http://www.huge-it.com/
 **/


if(!defined('_JEXEC')) {
define('_JEXEC',1);
} else {
defined('_JEXEC') or die('Restircted access');
}

// defining the base path.
if (stristr( $_SERVER['SERVER_SOFTWARE'], 'win32' )) {
    define( 'JPATH_BASE', realpath(dirname(__FILE__).'\..\..' ));
	} else define( 'JPATH_BASE', realpath(dirname(__FILE__).'/../..' ));
	define( 'DS', DIRECTORY_SEPARATOR );
	
	// including the main joomla files
	require_once ( JPATH_BASE.DS.'includes'.DS.'defines.php' );
	require_once ( JPATH_BASE.DS.'includes'.DS.'framework.php' );
	require_once ( JPATH_BASE.DS.'components/com_googlemaps/getNewMap.php' );
	// Creating an app instance 
	$app =JFactory::getApplication('site');
	
	$app->initialise();
	jimport( 'joomla.user.user' );
	jimport( 'joomla.user.helper' );
        
	$db = JFactory::getDBO();
        $query = $db->getQuery(true);
        
	$mapId = $_REQUEST['map_id'];
        $map_string="";
    
        $query->select('*');
        $query->from('#__g_maps');
        $query->where('id=' . $mapId);
        $db->setQuery($query);
        $results = $db->loadObjectList();
        $map_array=array(
            'Map ID:'.$mapId,
            'name: '. $results[0]->name .', type :'. $results[0]->type .', zoom: '. $results[0]->zoom .', border radius: '. $results[0]->border_radius .', center latitude: '. $results[0]->center_lat .', center longitude: '.  $results[0]->center_lng .', width: '.  $results[0]->width .'%, height: '.  $results[0]->type .'px, align:'.  $results[0]->align .', wheel scroll:'.  $results[0]->wheel_scroll .', draggable: '.  $results[0]->draggable .', language:'.  $results[0]->language .', minimum zoom: '.  $results[0]->min_zoom .', max_zoom:'.  $results[0]->max_zoom .', info_type: '.  $results[0]->info_type .'',
         );
        
        $queryMarkers = $db->getQuery(true);
        $queryMarkers->select('*');
        $queryMarkers->from('#__g_markers');
	$queryMarkers->where('map=' . $mapId);
        $db->setQuery($queryMarkers);
        $markerResults = $db->loadObjectList();
            if($markerResults){
                array_push($map_array,'Markers');
                    foreach($markerResults as $marker){
                            array_push($map_array,'ID: '. $marker->id .', title: '. $marker->title .', latitude: '. $marker->lat .', longitude:'. $marker->lng .', animation:'. $marker->animation .', description:'. $marker->description .', image:'. $marker->img .'');
                    }
        }
        
        
        $queryPolygons = $db->getQuery(true);
        $queryPolygons->select('*');
        $queryPolygons->from('#__g_polygones');
        $queryPolygons->where('map='. $mapId);
        $db->setQuery($queryPolygons);
        $polygonResults = $db->loadObjectList();
        if($polygonResults){
            array_push($map_array,'Polygons');
            foreach($polygonResults as $polygon){
                    array_push($map_array,'name :'. $polygon->name .', data :'. $polygon->data .', line transparency :'. $polygon->line_opacity .', line color :'. $polygon->line_color .', fill transparency:'. $polygon->fill_opacity .', fill color :'. $polygon->fill_color .', link :'. $polygon->url .', hover line transparency :'. $polygon->hover_line_opacity .', hover line color :'. $polygon->hover_line_color .', hover fill transparency :'. $polygon->hover_fill_opacity .', hover line color :'. $polygon->hover_fill_color .', line width :'. $polygon->line_width .'');
            }
        }
        
        
        $queryPolylines = $db->getQuery(true);
        $queryPolylines->select('*');
        $queryPolylines->from('#__g_polylines');
        $queryPolylines->where('map='. $mapId);
        $db->setQuery($queryPolylines);
        $polylineResults = $db->loadObjectList();
            if($polylineResults){
                array_push($map_array,'Polylines');
                foreach($polylineResults as $polyline){
                    array_push($map_array,'name :'. $polyline->name .', data :'. $polyline->data .', line transparency :'. $polyline->line_opacity .', line color :'. $polyline->line_color .', line width :'. $polyline->line_width .', hover line color :'. $polyline->hover_line_color .', hover line transparency :'. $polyline->name .'');
                }
            }
		
            
        $queryCircles = $db->getQuery(true);
        $queryCircles->select('*');
        $queryCircles->from('#__g_circles');
        $queryCircles->where('map='. $mapId);
        $db->setQuery($queryCircles);
        $circleResults = $db->loadObjectList();
            if($circleResults){
             array_push($map_array,'Circles');
                foreach($circleResults as $circle){
                    array_push($map_array,'name:'. $circle->name .', center latitude:'. $circle->center_lat .', center longitude:'. $circle->center_lng .', radius:'. $circle->radius .', line width:'. $circle->line_width .', line transparency:'. $circle->line_opacity .', line color:'. $circle->line_color .', fill color:'. $circle->fill_color .', fill transparency:'. $circle->fill_opacity .', hover line transparency:"'. $circle->hover_line_opacity .', hover line color:'. $circle->hover_line_color .', hover fill color:'. $circle->hover_fill_color .', hover fill transparency:'. $circle->hover_fill_opacity .', show marker(0/1=off/on):'. $circle->show_marker .',');
            }
        }
	
        
        
        //$response1["success"] = $map_array;
       // echo json_encode($response1);
    
       // var_dump($map_array);
       //var_dump(array("success"=>1,"string"=>$map_array,"map_name"=>$results[0]->name));
  echo json_encode(array("success"=>1,"string"=>$map_array,"map_name"=>$results[0]->name));           
	?>
