<?php
/**
 * @package Google Maps
 * @author Huge-IT
 * @copyright (C) 2014 Huge IT. All rights reserved.
 * @license GNU/GPLv3 http://www.gnu.org/licenses/gpl-3.0.html
 * @website		http://www.huge-it.com/
 **/


if(!defined('_JEXEC')) {
define('_JEXEC',1);
} else {
defined('_JEXEC') or die('Restircted access');
}

// defining the base path.
if (stristr( $_SERVER['SERVER_SOFTWARE'], 'win32' )) {
    define( 'JPATH_BASE', realpath(dirname(__FILE__).'\..\..' ));
	} else define( 'JPATH_BASE', realpath(dirname(__FILE__).'/../..' ));
	define( 'DS', DIRECTORY_SEPARATOR );
	
	// including the main joomla files
	require_once ( JPATH_BASE.DS.'includes'.DS.'defines.php' );
	require_once ( JPATH_BASE.DS.'includes'.DS.'framework.php' );
	require_once (JPATH_BASE.DS.'components/com_googlemaps/getNewMap.php' );
        jimport('joomla.filesystem.file');
        jimport('joomla.filesystem.path');
        jimport('joomla.image');
        
	// Creating an app instance 
	$app =JFactory::getApplication('site');
	
	$app->initialise();
	jimport( 'joomla.user.user' );
	jimport( 'joomla.user.helper' );
        
   	
	$size = $_REQUEST['size'];
        $filename = $_REQUEST['filename'];
      
        $imagesize = $size.",".$size;

        // Set the path to the file
        $file = $filename;

       

       $relativePath = resize($file, $size, $size );
       
       $response1["success"] = $relativePath;
        echo json_encode($response1);
        
        
        function resize($relativePath, $width = null, $height = null, $quality = null)
	{
		$absolutPath = JPath::clean(JPATH_ROOT.'/'.$relativePath);
		if (!JFile::exists($absolutPath))
		{
			JError::raiseWarning( 100, 'Image Path "'.$relativePath.'" could not be saved. Only images can be uploaded as logo.' );
			return "sasa";
		}
		if ($width || $height)
		{
			$imageExt = JFile::getExt($absolutPath);
			$imageName = preg_replace('/\.'.$imageExt.'$/', '', JFile::getName($absolutPath));
			$imageNameNew = $imageName.$width;
			$relativePathNew = str_replace($imageName.'.'.$imageExt, $imageNameNew.'.'.$imageExt, $relativePath);
			$absolutPathNew = JPath::clean(JPATH_ROOT.'/'.$relativePathNew);
                        $a = 'media/com_googlemaps/images/uploadFolder/'.$imageNameNew.'.'.$imageExt;
			
			if (JFile::exists($absolutPathNew))
			{
				$imageDateOrigin = filemtime($absolutPath);
				$imageDateThumb = filemtime($absolutPathNew);
				$clearCache = ($imageDateOrigin > $imageDateThumb);
				if($clearCache == false)
				{
					return $a;
				}
			}
			$image = new JImage($absolutPath);
			$properties = JImage::getImageFileProperties($absolutPath);
			if ($properties->width <= $width && $properties->height <= $height)
			{
				return $a;
			}
			$resizedImage = $image->resize($width, $height, true);
			$mime = $properties->mime;
			$options = array();
			if ($mime == 'image/jpeg')
			{
				$type = IMAGETYPE_JPEG;
				/*
				* from 0 (worst quality, smaller file) to 100 (best quality, biggest file)
				*/
				if ($quality)
				{
					$options['quality'] = $quality;
				}
				else
				{
					$options['quality'] = 75;
				}
			}
			elseif ($mime = 'image/png')
			{
				$type = IMAGETYPE_PNG;
				/* 
				* Compression level: 0-9 or -1, where 0 is NO COMPRESSION at all,
				* 1 is FASTEST but produces larger files, 9 provides the best
				* compression (smallest files) but takes a long time to compress, and
				* -1 selects the default compiled into the zlib library.
				*/
				if ($quality)
				{
					$options['quality'] = $quality;
				}
				else
				{
					$options['quality'] = 6;
				}
			}
			elseif ($mime = 'image/gif')
			{
				$type = IMAGETYPE_GIF;
			}
                       // JURI::root(true).'/media/com_googlemaps/images/uploadFolder/'.$imageNameNew.'.'.$imageExt
			$resizedImage->toFile(JPath::clean(JPATH_ROOT.'/media/com_googlemaps/images/uploadFolder/'.$imageNameNew.'.'.$imageExt), $type, $options);
			return $a;
		}
		
		return $relativePath;
	}
        
       
        
      
?>

