<?php
/**
 * @package Google Maps
 * @author Huge-IT
 * @copyright (C) 2014 Huge IT. All rights reserved.
 * @license GNU/GPLv3 http://www.gnu.org/licenses/gpl-3.0.html
 * @website		http://www.huge-it.com/
 * */
defined('_JEXEC') or die('Restricted Access');
// load tooltip behavior
JHtml::_('behavior.tooltip');
JHtml::stylesheet(Juri::root() . 'media/com_googlemaps/style/simple-slider.css');
JHtml::stylesheet(Juri::root() . 'media/com_googlemaps/style/style.css');
JHtml::stylesheet(Juri::root() . 'media/com_googlemaps/style/huge-animations.css');
$doc = JFactory::getDocument();
$editor = JFactory::getEditor('tinymce');
$doc->addScript(JURI::root(true) . '/administrator/components/com_googlemaps/js/ajax.js');
JHTML::_('behavior.modal');
?>
<script src="<?php echo JURI::root(true) ?>/media/com_googlemaps/js/simple-slider.js"></script>

<script src="<?php echo JURI::root(true) ?>/media/com_googlemaps/js/googleOptionMap.js"></script>
<script src="<?php echo JURI::root(true) ?>/media/com_googlemaps/js/loadPolygoneMap.js"></script>
<script src="<?php echo JURI::root(true) ?>/media/com_googlemaps/js/loadPolylineMap.js"></script>
<script src="<?php echo JURI::root(true) ?>/media/com_googlemaps/js/loadCircleMap.js"></script>
<script src="<?php echo JURI::root(true) ?>/media/com_googlemaps/js/loadMarkerMap.js"></script>
<script src="<?php echo JURI::root() ?>/media/com_googlemaps/js/js.js"></script>

<?php
$doc->addScript('https://maps.googleapis.com/maps/api/js?v=3.exp&sensor=false&libraries=places');
?>
<script src="<?php echo JURI::root(true) ?>/media/com_googlemaps/jscolor/jscolor.js"></script>

<script type="text/javascript">
    Joomla.submitbutton = function (task) {
        if (document.adminForm.name.value == '' && task != 'cancel')
        {
            alert('Name is required.');
            document.adminForm.name.focus();
        }
        else
            submitbutton(task);
    }

    function submitbutton(task) {
        document.getElementById("adminform").action = document.getElementById("adminform").action + "&task=" + task;
        document.getElementById("adminform").submit();
    }
</script>
<div class="">
    <?php $path_site2 = JUri::root() . "media/com_googlemaps/images";
    ?>
    <style>
        .free_version_banner {
            position:relative;
            display:block;
            background-image:url(<?php echo $path_site2; ?>/wp_banner_bg.jpg);
            background-position:top left;
            backround-repeat:repeat;
            overflow:hidden;
        }

        .free_version_banner .manual_icon {
            position:absolute;
            display:block;
            top:15px;
            left:15px;
        }

        .free_version_banner .usermanual_text {
            font-weight: bold !important;
            display:block;
            float:left;
            width:270px;
            margin-left:75px;
            font-family:'Open Sans',sans-serif;
            font-size:12px;
            font-weight:300;
            font-style:italic;
            color:#ffffff;
            line-height:10px;
            margin-top: 0;
            padding-top: 15px;
        }

        .free_version_banner .usermanual_text a,
        .free_version_banner .usermanual_text a:link,
        .free_version_banner .usermanual_text a:visited {
            display:inline-block;
            font-family:'Open Sans',sans-serif;
            font-size:17px;
            font-weight:600;
            font-style:italic;
            color:#ffffff;
            line-height:30.5px;
            text-decoration:underline;
        }

        .free_version_banner .usermanual_text a:hover,
        .free_version_banner .usermanual_text a:focus,
        .free_version_banner .usermanual_text a:active {
            text-decoration:underline;
        }

        .free_version_banner .get_full_version,
        .free_version_banner .get_full_version:link,
        .free_version_banner .get_full_version:visited {
            padding-left: 60px;
            padding-right: 4px;
            display: inline-block;
            position: absolute;
            top: 15px;
            right: calc(50% - 167px);
            height: 38px;
            width: 285px;
            border: 1px solid rgba(255,255,255,.6);
            font-family: 'Open Sans',sans-serif;
            font-size: 23px;
            color: #ffffff;
            line-height: 43px;
            text-decoration: none;
            border-radius: 2px;
        }

        .free_version_banner .get_full_version:hover {
            background:#ffffff;
            color:#bf1e2e;
            text-decoration:none;
            outline:none;
        }

        .free_version_banner .get_full_version:focus,
        .free_version_banner .get_full_version:active {

        }

        .free_version_banner .get_full_version:before {
            content:'';
            display:block;
            position:absolute;
            width:33px;
            height:23px;
            left:25px;
            top:9px;
            background-image:url(<?php echo $path_site2; ?>/wp_shop.png);
            background-position:0px 0px;
            background-repeat:repeat;
        }

        .free_version_banner .get_full_version:hover:before {
            background-position:0px -27px;
        }

        .free_version_banner .huge_it_logo {
            float:right;
            margin:15px 15px;
        }

        .free_version_banner .description_text {
            padding:0 0 13px 0;
            position:relative;
            display:block;
            width:100%;
            text-align:center;
            float:left;
            font-family:'Open Sans',sans-serif;
            color:#fffefe;
            line-height:inherit;
        }
        .free_version_banner .description_text p{
            margin:0;
            padding:0;
            font-size: 14px;
        }
    </style>
    <div class="free_version_banner">
        <img class="manual_icon" src="<?php echo $path_site2; ?>/icon-user-manual.png" alt="user manual" />
        <p class="usermanual_text">If you have any difficulties in using the options, Follow the link to <a href="http://huge-it.com/joomla-google-maps-user-manua/" target="_blank">User Manual</a></p>
        <a class="get_full_version" href="http://huge-it.com/joomla-google-maps/" target="_blank">GET THE FULL VERSION</a>
        <a href="http://huge-it.com" target="_blank"><img class="huge_it_logo" src="<?php echo $path_site2; ?>/Huge-It-logo.png"/></a>
        <div style="clear: both;"></div>
        <div  class="description_text"><p>This is the free version of the plugin. Click "GET THE FULL VERSION" for more advanced options.   We appreciate every customer.</p></div>
    </div>
    <div style="clear:both;"></div>

</div>

<?php
foreach ($this->prop as $rowmap) {
    $mapId = $rowmap->id;
    $mapName = $rowmap->name;
    $mapType = $rowmap->type;
    $mapWidth = $rowmap->width;
    $mapHeight = $rowmap->height;
    $mapZoom = $rowmap->zoom;
    $mapAlign = $rowmap->align;
    $mapBorderRadius = $rowmap->border_radius;
    $mapCenterLat = $rowmap->center_lat;
    $mapCenterLng = $rowmap->center_lng;
    $mapPanController = $rowmap->pan_controller;
    $mapTypeController = $rowmap->type_controller;
    $mapScaleController = $rowmap->scale_controller;
    $mapStreetViewController = $rowmap->street_view_controller;
    $mapInfoType = $rowmap->info_type;
    $mapZoomController = $rowmap->zoom_controller;
    $mapOverview = $rowmap->overview_map_controller;
    $mapwheel_scroll = $rowmap->wheel_scroll;
    $mapDraggable = $rowmap->draggable;
    $mapLanguage = $rowmap->language;
    $mapMin_zoom = $rowmap->min_zoom;
    $mapMax_zoom = $rowmap->max_zoom;
    $mapAnimation = $rowmap->animation;
    $mapStyling_hue = $rowmap->styling_hue;
    $mapStyling_saturation = $rowmap->styling_saturation;
    $mapStyling_lightness = $rowmap->styling_lightness;
    $mapStyling_gamma = $rowmap->styling_gamma;
    $mapBike_layer = $rowmap->bike_layer;
    $mapTraffic_layer = $rowmap->traffic_layer;
    $maptransit_layer = $rowmap->transit_layer;
}

foreach ($this->polygones as $polygone) {
    $polygonId = $polygone->id;
    $polygoneMap = $polygone->map;
    $polygoneName = $polygone->name;
    $polygoneData = $polygone->data;
    $polygoneLineOpacity = $polygone->line_opacity;
    $polygoneLineColor = $polygone->line_color;
    $polygoneFillOpacity = $polygone->fill_opacity;
    $polyogoneFillColor = $polygone->fill_color;
    $polygoneUrl = $polygone->url;
    $polygoneHoverLineOpacity = $polygone->hover_line_opacity;
    $polygoneHoverLineColor = $polygone->hover_line_color;
    $polygonehoverFillOacity = $polygone->hover_fill_opacity;
    $polygoneHoverFiColor = $polygone->hover_fill_color;
    $polygoneLineWidth = $polygone->line_width;
}
?>

<?php
if ($mapStyling_hue == "FFFFFF") {
    $mapStyling_hue = " ";
}
?>
<script>
    // Load Map
    loadMap('<?php echo $mapId; ?>', '#<?php echo $mapStyling_hue ?>', '<?php echo $mapStyling_saturation ?>', '<?php echo $mapStyling_lightness ?>',
            '<?php echo $mapStyling_gamma ?>', '<?php echo $mapZoom ?>', '<?php echo $mapType; ?>', '<?php $mapBike_layer ?>', '<?php $mapTraffic_layer ?>',
            '<?php echo $maptransit_layer ?>', '<?php echo $mapAnimation ?>');

    loadMarkerMap('<?php echo $mapId; ?>', '#<?php echo $mapStyling_hue ?>', '<?php echo $mapStyling_saturation ?>', '<?php echo $mapStyling_lightness ?>', '<?php echo $mapStyling_gamma ?>', '<?php echo $mapZoom ?>', '<?php echo $mapType; ?>', '<?php $mapBike_layer ?>', '<?php $mapTraffic_layer ?>', '<?php echo $maptransit_layer ?>', "<?php echo JURI::root(); ?>");
    // Load Polygone
    loadPolygoneMap("<?php echo $mapId; ?>", '#<?php echo $mapStyling_hue ?>', '<?php echo $mapStyling_saturation ?>', '<?php echo $mapStyling_lightness ?>', '<?php echo $mapStyling_gamma ?>', '<?php echo $mapZoom ?>', '<?php echo $mapType; ?>', '<?php $mapBike_layer ?>', '<?php $mapTraffic_layer ?>', '<?php echo $maptransit_layer ?>');
    loadPolylineMap("<?php echo $mapId; ?>", "#<?php echo $mapStyling_hue; ?>", "<?php echo $mapStyling_saturation; ?>", "<?php echo $mapStyling_lightness; ?>", "<?php echo $mapStyling_gamma; ?>", "<?php echo $mapZoom; ?>", "<?php echo $mapType; ?>", "<?php echo $mapBike_layer; ?>", "<?php echo $mapTraffic_layer; ?>", "<?php echo $maptransit_layer; ?>");
    loadCircleMap("<?php echo $mapId; ?>", "#<?php echo $mapStyling_hue; ?>", "<?php echo $mapStyling_saturation; ?>", "<?php echo $mapStyling_lightness; ?>", "<?php echo $mapStyling_gamma; ?>", "<?php echo $mapZoom; ?>", "<?php echo $mapType; ?>", "<?php echo $mapBike_layer; ?>", "<?php echo $mapTraffic_layer; ?>", "<?php echo $maptransit_layer; ?>");

</script>

<!-- For  Simple Slider-->
<script>
    jQuery(document).ready(function () {
        jQuery('input[data-slider="true"]').bind("slider:changed", function (event, data) {
            jQuery(this).parent().find('span').html(data.value);
            jQuery(this).val(data.value);
        });
        jQuery('#map_zoom').bind("slider:changed", function (event, data) {
            jQuery(this).parent().find('span').html(parseInt(data.value));
            jQuery(this).val(parseInt(data.value));
            map_admin_view.setZoom(parseInt(jQuery(this).val()))
        });
        jQuery('#map_width').bind("slider:changed", function (event, data) {
            jQuery(this).parent().find('span').html(parseInt(data.value) + "%");
            jQuery(this).val(parseInt(data.value));
        });
    })
</script>
<style>
    #adminform .map_heading ul .active input{
        background:url(<?php echo JUri::root() . "media/com_googlemaps/images/edit1.png"; ?>) right center no-repeat #fff !important;
    }
</style>
<form action="<?php echo JRoute::_('index.php?option=com_googlemaps&id=' . (int) $this->item->id); ?>" method="post" name="adminForm" id="adminform"  enctype="multipart/form-data">
    <input type="hidden" name="map_id" id="map_id" value="<?php echo $this->item->id ?>" />
    <div class="map_heading">
        <ul class="maps_list">
            <?php foreach ($this->mapParams as $mapname) {
                if ($mapname->id != $this->item->id) {
                    ?>

                    <li>
                        <a href = "#" id="map_name_tab" onclick="window.location.href = 'index.php?option=com_googlemaps&view=googlemap&layout=edit&id=<?php echo $mapname->id; ?>'" map_id = "<?php echo $mapId; ?>"><?php echo $mapname->name ?></a>

                    </li>
                    <style>
                        #adminform .map_heading ul .active input{
                            background:url(<?php echo JUri::root() . "media/com_googlemaps/images/edit1.png"; ?>) right center no-repeat #fff !important;
                        }
                    </style>
        <?php } else {
        ?>
                    <li class="active">
                        <input type="text" name="map_name_tab" maxlength="250"  value="<?php echo $mapname->name; ?>" id="map_name_tab<?php echo $mapId; ?>" map_id = "<?php echo $mapId; ?>"/>
                    </li>

    <?php } ?>
<?php } ?>
            <li>
                <a onclick="window.location.href = 'index.php?option=com_googlemaps&view=googlemap&task=googlemaps.add'">+</a>
            </li>
        </ul>
    </div>
</form>

<div id="j-sidebar-container" class="j-sidebar-container j-sidebar-visible" style="border-top:1px solid #ccc;  margin: 0px 0 0 -1px;">
    <div id="j-toggle-sidebar-wrapper">
        <div id="j-toggle-button-wrapper" class="j-toggle-button-wrapper j-toggle-visible">
            <div id="j-toggle-sidebar-button" class="j-toggle-sidebar-button hidden-phone hasTooltip" title="" type="button" onclick="toggleSidebar(false);
                        return false;" data-original-title="Hide the sidebar">
            </div>
        </div>

        <div id="sidebar" class="sidebar">
            <div class="sidebar-nav">
                <ul id="submenu" class="nav nav-list">
                    <li class="active">
                        <a href="index.php?option=com_googlemaps"><?php echo JText::_('COM_GOOGLEMAPS') ?></a>
                    </li>
                    <li >
                        <a href="index.php?option=com_googlemaps&amp;view=featured"><?php echo JText::_('COM_FEATURED') ?></a>
                    </li>
                </ul>
                <hr class="hr-condensed">
                <div class="filter-select hidden-phone">
                    <h4 class="page-header">Shortcodes:</h4>
                    <div class="inside">
                        <ul>
                            <li>
                                <div class="shortcodeText"><p>Copy &amp; paste the shortcode directly into any Joomla article.</p></div>
                                <textarea class="full" readonly="readonly" style="width: 93%">[huge_it_maps_id="<?php echo $this->item->id ?>"]</textarea>
                            </li>
                        </ul>
                    </div>
                    <div class="inside">
                        <ul>
                            <li>
                                <div class="shortcodeText"><p>Copy & paste this code into a template file to include the google map within your theme.</p></div>
                                <textarea class="full" readonly="readonly">&lt;?php echo huge_it_maps_id(<?php echo $this->item->id; ?>); ?&gt;</textarea>
                            </li>

                        </ul>
                    </div>
                </div>
                <hr class="hr-condensed">    
                <span class="pro_desc"><a href="http://huge-it.com/joomla-googlemaps" target="_blank">Go Pro</a>&#32;&#32;&#32; to enable these functionalities</span>

                <div class="map_database_actions_section" z>
                    <div class="btn btn-medium  copy_map_button" data-map-id="<?= $mapId; ?>" style="margin: 0 0 6px 11px;width:78%" >Create Copy Of This Map</div>
                    <div class="btn btn-medium extract_to_csv_button" data-map-id="<?= $mapId; ?>" style="margin: 0 0 6px 11px;width:78%">Export This Map To CSV</div>
                </div>
            </div>
        </div>
    </div>
    <div id="j-toggle-sidebar"></div>
</div>
<div id="j-main-container" class="span10 j-toggle-main">
    <!-- General Option -->
    <div class="admin_edit_section_container" >
        <input type="hidden" id="map_id" name="map_id" value="<?php echo $mapId; ?>" />
        <ul class="admin_edit_section">
            <li class="editing_section ">
                <div class="editing_heading"> 
                    General Options 
                    <div class="help">?
                        <div class="help-block">
                            <span class="pnt"></span>
                            <p>General Options of current map</p>
                        </div>
                    </div>
                    <span class="heading_arrow">▼</span>
                </div>

                <div class="edit_content map_options hide">
                    <form action ="<?php echo JRoute::_('index.php?option=com_googlemaps&id=' . (int) $this->item->id); ?>" method="post">
                        <ul>
                            <li class="has_background">
                                <label for="map_name">Map Name</label>
                                <input type="text" name="map_name"  id="map_name" map_id = "<?php echo $mapId; ?>" value="<?php echo $mapName; ?>"  />
                            </li>
                            <li>
                            <li>
                                <label for="map_controller_pan">Enable Pan-Controller</label>
                                <input type="checkbox" class="map_controller_input" id="map_controller_pan" name="map_controller_pan" value="true" <?php if ($mapPanController == "true") {
    echo "checked='checked'";
} ?> />
                            </li>
                            <li class="has_background">
                                <label for="map_controller_zoom">Enable Zoom-Controller</label>
                                <input type="checkbox" class="map_controller_input" id="map_controller_zoom" name="map_controller_zoom" value="true" <?php if ($mapZoomController == "true") {
    echo "checked='checked'";
} ?> />
                            </li>
                            <li>
                                <label for="map_controller_type">Enable Map-Type-Controller</label>
                                <input type="checkbox" class="map_controller_input" id="map_controller_type" name="map_controller_type" value="true" <?php if ($mapTypeController == "true") {
    echo "checked='checked'";
} ?> />
                            </li>
                            <li class="has_background">
                                <label for="map_controller_scale">Enable Scale-Controller</label>
                                <input type="checkbox" class="map_controller_input" id="map_controller_scale" name="map_controller_scale" value="true" <?php if ($mapScaleController == "true") {
    echo "checked='checked'";
} ?> />
                            </li>
                            <li>
                                <label for="map_controller_street_view">Enable Street-View-Controller</label>
                                <input type="checkbox" class="map_controller_input" id="map_controller_street_view" name="map_controller_street_view" value="true" <?php if ($mapStreetViewController == "true") {
    echo "checked='checked'";
} ?> />
                            </li>
                            <li class="has_background">
                                <label for="map_controller_overview">Enable Overview-Map-Controller</label>
                                <input type="checkbox" class="map_controller_input" id="map_controller_overview" name="map_controller_overview" value="true" <?php if ($mapOverview == "true") {
    echo "checked='checked'";
} ?> />
                            </li>
                            <li>
                                <label for="map_zoom">Default Zoom</label>
                                <div class="slider-container" style="float:left; width:55%; height:25px; ">
                                    <input name="map_zoom" id="map_zoom" data-slider-highlight="true"  data-slider-values="0,1,2,3,4,5,6,7,8,9,10,11,12,13,14,15,16,17,18,19,20,21" type="text" data-slider="true" value="<?php echo $mapZoom; ?>" />
                                    <span style="position:absolute; top: 4px;left: 160px;"><?php echo $mapZoom; ?></span>
                                </div>
                            </li>
                            <li class="has_background">
                                <label for="min_zoom">Minimum Zoom</label>
                                <div class="slider-container" style="float:left; width:55%; height:25px; ">
                                    <input name="min_zoom" id="min_zoom" data-slider-highlight="true"  data-slider-values="0,1,2,3,4,5,6,7,8,9,10,11,12,13,14,15,16,17,18,19,20,21" type="text" data-slider="true" value="<?php echo $mapMin_zoom; ?>" />
                                    <span style="position:absolute; top: 4px;left: 160px;"><?php echo $mapMin_zoom ?></span>
                                </div>
                            </li>
                            <li>
                                <label for="max_zoom">Maximum Zoom</label>
                                <div class="slider-container" style="float:left; width:55%; height:25px; ">
                                    <input name="max_zoom" id="max_zoom" data-slider-highlight="true"  data-slider-values="0,1,2,3,4,5,6,7,8,9,10,11,12,13,14,15,16,17,18,19,20,21" type="text" data-slider="true" value="<?php echo $mapMax_zoom; ?>" />
                                    <span style="position:absolute; top: 4px;left: 160px;"><?php echo $mapMax_zoom; ?></span>
                                </div>
                            </li>
                            <li  class="has_background">
                                <label for="map_center_addr">Center Address</label>
                                <input type="text" name="map_center_addr" id="map_center_addr" />
                            </li>
                            <li>
                                <label for="map_center_lat">Center Latitude</label>
                                <input type="text" name="map_center_lat" id="map_center_lat" value="<?php echo $mapCenterLat; ?>" />
                            </li>
                            <li class="has_background">
                                <label for="map_center_lng">Center Longitude</label>
                                <input type="text" name="map_center_lng" id="map_center_lng" value="<?php echo $mapCenterLng; ?>" />
                            </li>
                            <li>
                                <label for="map_width">Map Width</label>
                                <div class="slider-container" style="float:left; width:55%; height:25px; ">
                                    <input class="front_end_input_options" name="map_width" id="map_width" data-slider-highlight="true"  data-slider-values="0,10,20,30,40,50,60,70,80,90,100" type="text" data-slider="true" value="<?php echo $mapWidth; ?>" />
                                    <span style="position:absolute; top: 4px;left: 160px;"><?php echo $mapWidth; ?>%</span>
                                </div>
                            </li>
                            <li class="has_background">
                                <label for="map_height" >Map Height</label>
                                <input class="front_end_input_options" type="number" name="map_height" id="map_height" value="<?php echo $mapHeight; ?>" />
                            </li>
                            <li>
                                <label for="map_align">Map Align</label>
                                <select class="front_end_input_options" name="map_align" id="map_align">
                                    <option value="left" <?php if ($mapAlign == 'left') {
    echo 'selected';
}; ?>>left</option>
                                    <option value="center" <?php if ($mapAlign == 'center') {
    echo 'selected';
}; ?>>center</option>
                                    <option value="right" <?php if ($mapAlign == 'right') {
    echo 'selected';
}; ?>>right</option>
                                </select>
                            </li>
                            <li>
                                <label for="map_border_radius" >Border Radius</label>
                                <input class="front_end_input_options" type="number" name="map_border_radius" id="map_border_radius" value="<?php echo $mapBorderRadius; ?>" />
                            </li>
                            <li class="pro">
                                <label for="wheel_scroll">Wheel Scrolling</label>
                                <select class="front_end_input_options" name="wheel_scroll" id="wheel_scroll" readonly="readonly" >
                                    <option value="true" selected="selected">On</option>
                                    <option value="true" >Off</option>
                                </select>
                            </li>
                            <li class="has_background pro">
                                <label for="map_draggable">Map Draggable</label>
                                <select class="front_end_input_options" name="map_draggable" id="map_draggable" readonly="readonly">
                                    <option value="true" selected="selected" >On</option>
                                    <option value="true" >Off</option>
                                </select>
                            </li>
                            <li class="pro">
                                <label for="map_language">Map Language</label>
                                <select class="front_end_input_options" id="map_language" name="map_language">
                                    <option value="location based" selected="selected">Location Based</option>
                                    <option value="location based" >Arabic</option>
                                    <option value="location based" >Bulgarian</option>
                                    <option value="location based" >Bengali</option>
                                    <option value="location based" >Catalan</option>
                                    <option value="location based" >Czech</option>
                                    <option value="location based" >Danish</option>
                                    <option value="location based" >German</option>
                                    <option value="location based" >Greek</option>
                                    <option value="location based" >English</option>
                                    <option value="location based" >English (Australian)</option>
                                    <option value="location based" >English (Great Britain)</option>
                                    <option value="location based" >Spanish</option>
                                    <option value="location based" >Basque</option>
                                    <option value="location based">Farsi</option>
                                    <option value="location based" >Finnish</option>
                                    <option value="location based">Finnish</option>
                                    <option value="location based">French</option>
                                    <option value="location based" >Galician</option>
                                    <option value="location based" >Gujarati</option>
                                    <option value="location based" >Hindi</option>
                                    <option value="location based" >Croatian</option>
                                    <option value="location based" >Hungarian</option>
                                    <option value="location based" >Indonesian</option>
                                    <option value="location based" >Italian</option>
                                    <option value="location based" >Hebrew</option>
                                    <option value="location based" >Japanese</option>
                                    <option value="location based" >Kannada</option>
                                    <option value="location based" >Korean</option>
                                    <option value="location based" >Lithuanian</option>
                                    <option value="location based" >Latvian</option>
                                    <option value="location based" >Malayalam</option>
                                    <option value="location based" >Marathi</option>
                                    <option value="location based" >Dutch</option>
                                    <option value="location based" >Norwegian</option>
                                    <option value="location based" >Polish</option>
                                    <option value="location based" >Portuguese</option>
                                    <option value="location based" >Portuguese (Brazil)</option>
                                    <option value="location based" >Portuguese (Portugal)</option>
                                    <option value="location based" >Romanian</option>
                                    <option value="location based" >Russian</option>
                                    <option value="location based" >Slovak</option>
                                    <option value="location based" >Slovenian</option>
                                    <option value="location based" >Serbian</option>
                                    <option value="location based" >Swedish</option>
                                    <option value="location based" >Tamil</option>
                                    <option value="location based" >Telugu</option>
                                    <option value="location based" >Thai</option>
                                    <option value="location based" >Tagalog</option>
                                    <option value="location based" >Turkish</option>
                                    <option value="location based" >Ukrainian</option>
                                    <option value="location based" >Vietnamese</option>
                                    <option value="location based" >Chinese (Simplified)</option>
                                    <option value="location based" >Chinese (Traditional)</option>
                                </select>
                            </li>

                            <li class="has_background pro">
                                <label for="map_animation">Map Animation</label>
                                <select id="map_animation" name="map_animation">
                                    <option value="none" selected="selected">None</option>
                                    <optgroup label="Attention Seekers">
                                        <option value="none" >bounce</option>
                                        <option value="none" >flash</option>
                                        <option value="none" >pulse</option>
                                        <option value="none" >rubberBand</option>
                                        <option value="none" >shake</option>
                                        <option value="none" >swing</option>
                                        <option value="none" >tada</option>
                                        <option value="none">wobble</option>
                                        <option value="none" >jello</option>
                                        <option value="none" >rollIn</option>
                                    </optgroup>
                                    <optgroup label="Bouncing Entrances">
                                        <option value="none" >bounceIn</option>
                                        <option value="none" >bounceInDown</option>
                                        <option value="none" >bounceInLeft</option>
                                        <option value="none" >bounceInRight</option>
                                        <option value="none" >bounceInUp</option>
                                    </optgroup>
                                    <optgroup label="Fading Entrances">
                                        <option value="none" >fadeIn</option>
                                        <option value="none" >fadeInDown</option>
                                        <option value="none" >fadeInDownBig</option>
                                        <option value="none" >fadeInLeft</option>
                                        <option value="none" >fadeInLeftBig</option>
                                        <option value="none" >fadeInRight</option>
                                        <option value="none" >fadeInRightBig</option>
                                        <option value="none" >fadeInUp</option>
                                        <option value="none" >fadeInUpBig</option>
                                    </optgroup>
                                    <optgroup label="Flippers">
                                        <option value="none" >flip</option>
                                        <option value="none" >flipInX</option>
                                        <option value="none" >flipInY</option>
                                    </optgroup>
                                    <optgroup label="Rotating Entrances">
                                        <option value="none" >lightSpeedIn</option>
                                        <option value="none" >rotateIn</option>
                                        <option value="none" >rotateInDownLeft</option>
                                        <option value="none" >rotateInDownRight</option>
                                        <option value="none" >rotateInUpLeft</option>
                                        <option value="none" >rotateInUpRight</option>
                                    </optgroup>
                                    <optgroup label="Sliding Entrances">
                                        <option value="none" >slideInUp</option>
                                        <option value="none" >slideInDown</option>
                                        <option value="none" >slideInLeft</option>
                                        <option value="none" >slideInRight</option>
                                    </optgroup>
                                    <optgroup label="Zooming Entrances">
                                        <option value="none" >zoomIn</option>
                                        <option value="none" >zoomInDown</option>
                                        <option value="none"> zoomInLeft</option>
                                        <option value="none" >zoomInRight</option>
                                        <option value="none" >zoomInUp</option>
                                    </optgroup>
                                </select>
                            </li>

                            <li class="pro">
                                <label for="map_type" >Map Type</label>
                                <select id="map_type" name="map_type" readonly="readonly" >
                                    <option value="ROADMAP" selected >Roadmap</option>
                                    <option value="ROADMAP" >Satellite</option>
                                    <option value="ROADMAP" >Hybrid</option>
                                    <option value="ROADMAP" >Terrain</option>
                                </select>
                            </li>
                            <li class="pro has_background">
                                <label for="map_infowindow_type" >Marker Infowindow Open On</label>
                                <select id="map_infowindow_type" name="map_infowindow_type"  readonly="readonly"  >
                                    <option value="click" selected>Click</option>
                                    <option value="click">Hover</option>
                                </select>
                            </li>
                        </ul>
                        <input type="button" class="btn btn-small btn-success button-primary" name="map_button"  id="map_submit" map_id = <?php echo $mapId ?>  value="Save" class="" />
                        <div id='mapSaveresults'></div>
                        <!--<input type="button" class="button-primary" name="map_submit"  value="Save" />-->
                    </form>
                </div>
            </li>

            <li class="markers_editor editing_section">
                <div class="editing_heading">
                    Markers
                    <div class="help">?
                        <div class="help-block">
                            <span class="pnt"></span>
                            <p>A marker identifies a location on a map. Right-Click on the map to add a Marker. Hold pressed and drag to move it</p>
                        </div>
                    </div>
                    <span class="heading_arrow">▼</span>
                </div>
                <div class="edit_content hide" id="g_map_marker_options">
                    <form action ="<?php echo JRoute::_('index.php?option=com_googlemaps&id=' . (int) $this->item->id); ?>" method="post">
                        <input type="hidden" id="marker_url1" name="marker_url1" value="<?php echo JURI::root(); ?>" />
                        <a class="add_button" id="marker_add_button" href="#">+Add New Marker</a>
                        <div class="hidden_edit_content hide">
                            <a href="#" id="back_marker" class="cancel left">◄ Back</a>
                            <ul>
                                <li class="has_background" >
                                    <label for="marker_location">Address</label>
                                    <input type="text" id="marker_location" name="marker_location" />
                                </li>
                                <li>
                                    <label for="marker_location_lat">Latitude</label> 
                                    <input type="text" id="marker_location_lat" name="marker_location_lat" />
                                </li>
                                <li  class="has_background" >
                                    <label for="marker_location_lng">Longitude </label>
                                    <input type="text" id="marker_location_lng" name="marker_location_lng" />
                                </li>
                                <li>
                                    <label for="marker_animation">Animation</label>
                                    <select id="marker_animation" name="marker_animation">
                                        <option checked value="NONE">None</option>
                                        <option value="BOUNCE">Bounce</option>
                                        <option value="DROP">Drop</option>
                                    </select>
                                </li>
                                <li class="has_background">
                                    <label for="marker_title">Title</label>
                                    <input type="text" id="marker_title" name="marker_title" />
                                </li>
                                <li class="description_container">
                                    <label for="marker_description">Description<span class="pro_desc"><a href="http://huge-it.com/joomla-googlemaps" target="_blank">Go Pro</a>&#32;&#32;&#32; to enable HTML in description</span></label>
                                    <textarea class="description" id="marker_description" name="marker_description"></textarea>
                                </li>
                                <li class="pro has_background">
                                    Choose Marker Icon
                                </li>
                                <li class="pro_icon marker_image_choose">
                                    <ul>
                                        <li>
                                            <div class="imag_block">
                                                <img src="<?php echo JUri::root() . "media/com_googlemaps/images/default-icon.png"; ?>" alt="" />
                                            </div>
                                            <input type="radio" class="marker_image_change_marker marker_image_choose_button" name="marker_image_change" value="default" id="defId" />
                                        </li>
                                        <li>
                                            <div class="imag_block">
                                                <img src="<?php echo JUri::root() . "media/com_googlemaps/images/icons/marker48.png"; ?>" alt="" />
                                            </div>
                                            <input type="radio" class="marker_image_change_marker marker_image_choose_button" name="marker_image_change" value="default" />
                                        </li>
                                        <li>
                                            <div class="imag_block">
                                                <img src="<?php echo JUri::root() . "media/com_googlemaps/images/icons/azuremarker48.png"; ?>" alt="" />
                                            </div>
                                            <input type="radio" class="marker_image_change_azuremarker marker_image_choose_button" name="marker_image_change" value="default" />
                                        </li>
                                        <li>
                                            <div class="imag_block">
                                                <img src="<?php echo JUri::root() . "media/com_googlemaps/images/icons/redmarker48.png"; ?>" alt="" />
                                            </div>
                                            <input type="radio" class="marker_image_change_redmarker marker_image_choose_button" name="marker_image_change" value="default" />
                                        </li>
                                        <li>
                                            <div class="imag_block">
                                                <img src="<?php echo JUri::root() . "media/com_googlemaps/images/icons/bluemarker48.png"; ?>" alt="" />
                                            </div>
                                            <input type="radio" class="marker_image_change_bluemarker marker_image_choose_button" name="marker_image_change" value="default" />
                                        </li>
                                        <li>
                                            <div class="imag_block">
                                                <img src="<?php echo JUri::root() . "media/com_googlemaps/images/icons/greenmarker48.png"; ?>" alt="" />
                                            </div>
                                            <input type="radio" class="marker_image_change_greenmarker marker_image_choose_button" name="marker_image_change" value="default" />
                                        </li>
                                        <li>
                                            <div class="imag_block">
                                                <img src="<?php echo JUri::root() . "media/com_googlemaps/images/icons/starmarker48.png"; ?>" alt="" />
                                            </div>
                                            <input type="radio" class="marker_image_change_starmarker marker_image_choose_button" name="marker_image_change" value="default" />
                                        </li>
                                        <li>
                                            <div class="imag_block">
                                                <img src="<?php echo JUri::root() . "media/com_googlemaps/images/icons/blackmarker48.png"; ?>" alt="" />
                                            </div>
                                            <input type="radio" class="marker_image_change_blackmarker marker_image_choose_button" name="marker_image_change" value="default" />
                                        </li>
                                        <li>
                                            <div class="imag_block">
                                                <img src="<?php echo JUri::root() . "media/com_googlemaps/images/icons/pinleft48.png"; ?>" alt="" />
                                            </div>
                                            <input type="radio" class="marker_image_change_pinleft marker_image_choose_button" name="marker_image_change" value="default" />
                                        </li>
                                        <li>
                                            <div class="imag_block">
                                                <img src="<?php echo JUri::root() . "media/com_googlemaps/images/icons/pinpink48.png"; ?>" alt="" />
                                            </div>
                                            <input type="radio" class="marker_image_change_pinpink marker_image_choose_button" name="marker_image_change" value="default" />
                                        </li>
                                        <li>
                                            <div class="imag_block">
                                                <img src="<?php echo JUri::root() . "media/com_googlemaps/images/icons/pinright48.png"; ?>" alt="" />
                                            </div>
                                            <input type="radio" class="marker_image_change_pinright marker_image_choose_button" name="marker_image_change" value="default" />
                                        </li>
                                        <li>
                                            <div class="imag_block">
                                                <img src="<?php echo JUri::root() . "media/com_googlemaps/images/icons/toyflag48.png"; ?>" alt="" />
                                            </div>
                                            <input type="radio" class="marker_image_change_toyflag marker_image_choose_button" name="marker_image_change" value="default" />
                                        </li>
                                        <li>
                                            <div class="imag_block">
                                                <img src="<?php echo JUri::root() . "media/com_googlemaps/images/icons/greenflag48.png"; ?>" alt="" />
                                            </div>
                                            <input type="radio" class="marker_image_change_greenflag marker_image_choose_button" name="marker_image_change" value="default" />
                                        </li>
                                        <li>
                                            <div class="imag_block">
                                                <img src="<?php echo JUri::root() . "media/com_googlemaps/images/icons/flagleft48.png"; ?>" alt="" />
                                            </div>
                                            <input type="radio" class="marker_image_change_flagleft marker_image_choose_button" name="marker_image_change" value="default" />
                                        </li>
                                        <li>
                                            <div class="imag_block">
                                                <img src="<?php echo JUri::root() . "media/com_googlemaps/images/icons/pinkflag48.png"; ?>" alt="" />
                                            </div>
                                            <input type="radio" class="marker_image_change_pinkflag marker_image_choose_button" name="marker_image_change" value="default" />
                                        </li>
                                        <li>
                                            <div class="imag_block">
                                                <img src="<?php echo JUri::root() . "media/com_googlemaps/images/icons/blueflag48.png"; ?>" alt="" />
                                            </div>
                                            <input type="radio" class="marker_image_change_blueflag marker_image_choose_button" name="marker_image_change" value="default" />
                                        </li>
                                        <li>
                                            <div class="imag_block">
                                                <img src="<?php echo JUri::root() . "media/com_googlemaps/images/icons/flagright48.png"; ?>" alt="" />
                                            </div>
                                            <input type="radio" class="marker_image_change_flagright marker_image_choose_button" name="marker_image_change" value="default" />
                                        </li>
                                        <li>
                                            <div class="imag_block">
                                                <img src="<?php echo JUri::root() . "media/com_googlemaps/images/icons/paperflag48.png"; ?>" alt="" />
                                            </div>
                                            <input type="radio" class="marker_image_change_paperflag marker_image_choose_button" name="marker_image_change" value="default" />
                                        </li>
                                        <li>
                                            <div class="imag_block">
                                                <img src="<?php echo JUri::root() . "media/com_googlemaps/images/icons/pointleft48.png"; ?>" alt="" />
                                            </div>
                                            <input type="radio" class="marker_image_change_pointleft marker_image_choose_button" name="marker_image_change" value="default" />
                                        </li>
                                        <li>
                                            <div class="imag_block">
                                                <img src="<?php echo JUri::root() . "media/com_googlemaps/images/icons/redflag48.png"; ?>" alt="" />
                                            </div>
                                            <input type="radio" class="marker_image_change_redflag marker_image_choose_button" name="marker_image_change" value="default" />
                                        </li>

                                        <li>
                                            <div class="imag_block">
                                                <img src="<?php echo JUri::root() . "media/com_googlemaps/images/icons/baseflag48.png"; ?>" alt="" />
                                            </div>
                                            <input type="radio" class="marker_image_change_baseflag marker_image_choose_button" name="marker_image_change" value="default" />
                                        </li>


                                        <li>
                                            <div class="imag_block">
                                                <img src="<?php echo JUri::root() . "media/com_googlemaps/images/icons/pointright48.png"; ?>" alt="" />
                                            </div>
                                            <input type="radio" class="marker_image_change_pointright marker_image_choose_button" name="marker_image_change" value="default" />
                                        </li>
                                        <li>
                                            <div class="imag_block">
                                                <img src="<?php echo JUri::root() . "media/com_googlemaps/images/icons/pinkleft48.png"; ?>" alt="" />
                                            </div>
                                            <input type="radio" class="marker_image_change_pinkleft marker_image_choose_button" name="marker_image_change" value="default" />
                                        </li>

                                        <li>
                                            <div class="imag_block">
                                                <img src="<?php echo JUri::root() . "media/com_googlemaps/images/icons/pinkgreen48.png"; ?>" alt="" />
                                            </div>
                                            <input type="radio" class="marker_image_change_pinkgreen marker_image_choose_button" name="marker_image_change" value="default" />
                                        </li>

                                        <li>
                                            <div class="imag_block">
                                                <img src="<?php echo JUri::root() . "media/com_googlemaps/images/icons/pinkright48.png"; ?>" alt="" />
                                            </div>
                                            <input type="radio" class="marker_image_change_pinkright marker_image_choose_button" name="marker_image_change" value="default" />
                                        </li>
                                        <li>
                                            <div class="imag_block">
                                                <img src="<?php echo JUri::root() . "media/com_googlemaps/images/icons/pointcenter48.png"; ?>" alt="" />
                                            </div>
                                            <input type="radio" class="marker_image_change_pointcenter marker_image_choose_button" name="marker_image_change" value="default" />
                                        </li>
                                        <li>
                                            <div class="imag_block">
                                                <img src="<?php echo JUri::root() . "media/com_googlemaps/images/icons/star48.png"; ?>" alt="" />
                                            </div>
                                            <input type="radio" class="marker_image_change_star marker_image_choose_button" name="marker_image_change" value="default" />
                                        </li>

                                        <li>
                                            <div class="imag_block">
                                                <img src="<?php echo JUri::root() . "media/com_googlemaps/images/icons/pointer48.png"; ?>" alt="" />
                                            </div>
                                            <input type="radio" class="marker_image_change_pointer marker_image_choose_button" name="marker_image_change" value="default" />
                                        </li>
                                        <li>
                                            <div class="imag_block">
                                                <img src="<?php echo JUri::root() . "media/com_googlemaps/images/icons/shopmarker48.png"; ?>" alt="" />
                                            </div>
                                            <input type="radio" class="marker_image_change_shopmarker marker_image_choose_button" name="marker_image_change" value="default" />
                                        </li>
                                    </ul>
                                </li>
                                <li class="pro has_background">
                                    <label for="marker_image_size">Size of Icon</label>
                                    <select name="marker_image_size" id="marker_image_size" >
                                        <option value="16">16x16</option>
                                        <option value="16">24x24</option>
                                        <option value="16" selected>48x48</option>
                                        <option value="16">64x64</option>
                                        <option value="16">256x256</option>
                                    </select>
                                </li>
                                <li class="pro" >
                                    <label for="marker_pic">Custom Marker Icon</label>
                                    <input type="text" id="marker_pic" name="marker_pic" placeholder="http://" style="width:25%" readonly="" />
                                    <input type="hidden" id="marker_pic_name" name="marker_pic_name" />
                                    <a href="#" onclick="alert('Custom Icons are disabled in free version.If you  need those functionalities, you need to buy the commercial version.')">Image Upload</a>
                                </li>
                                <div>
                                    <input type="submit" class="btn btn-small btn-success button-primary" name="marker_submit"  map_id =<?php echo $mapId ?> id="marker_submit"  value="Save" style="width:23%" />
                                    <a href="#" id="cancel_marker" class="cancel">cancel</a>
                                </div>
                            </ul>
                        </div>
                    </form>
                    <div id="markers_edit_exist_section">
                        <div class="edit_list_heading">
                            <div class="list_number"> ID </div>
                            <div class="edit_list_item"> Title</div>
                            <div class="edit_list_delete"> Action </div>
                        </div>
<?php $i = 1; ?>

                        <ul class="list_exist" id="marker_list_exist">
<?php
foreach ($this->marker as $marker) {
    $j = $i % 2;
    ?>
                                <li class="edit_list <?php if ($j == 1) {
        echo "has_background";
    } ?>" data-list_id="<?php echo $marker->id ?>" id="<?= 'markerId_' . $marker->id; ?>" markerAttrId_<?php echo $marker->id; ?> ="<?php echo $marker->id; ?>"  >
                                    <div class="list_number">
    <?php echo $i; ?>
                                    </div>
                                    <div class="edit_list_item">
    <?php if (!empty($marker->title)) {
        echo $marker->title;
    } else {
        echo "-";
    } ?>
                                    </div>
                                    <div class="edit_marker_list_delete edit_list_delete">
                                        <form class="edit_list_delete_form" method="post" action="<?php echo JRoute::_('index.php?option=com_googlemaps&id=' . (int) $this->item->id); ?>">
                                            <input type="submit" class="btn btn-mini button  button edit_list_delete_submit" name="edit_list_delete_submit" style="background: url(../media/com_googlemaps/images/close.png) center center no-repeat ;width: 34px;height: 26px" value="" 
                                                   onclick='getValueForMarkerDelete("markerId_<?php echo $marker->id; ?>", "markerAttrId_<?php echo $marker->id; ?>")'/>
                                            <input type="hidden" class="edit_list_delete_type" name="edit_list_delete_type" value="markers" />
                                            <input type="hidden" class="edit_list_delete_table" value="g_markers" />
                                            <input type="hidden" name="delete_marker_id" class="edit_list_delete_id" value="<?php echo $marker->id ?>" />
                                        </form>

                                        <a href="#" onclick = "document.getElementById('marker_get_id').value = this.getAttribute('value');"  value="<?php echo $marker->id ?>" class="btn btn-mini edit_marker_list_item" ><img src="<?php echo JUri::root() . 'media/com_googlemaps/images/edit1.png' ?>" style="position: relative;right:3px;top:3px"></a>
                                        <input type="hidden" class="marker_edit_id" name="marker_edit_id" value="<?php echo $marker->id ?>" />               
                                    </div>
                                </li>
    <?php $i++;
} ?>
                        </ul>
                    </div>
                    <form action="<?php echo JRoute::_('index.php?option=com_googlemaps&id=' . (int) $this->item->id); ?>" method="post" >
                        <input type="hidden" id="marker_get_id" name="marker_get_id" value="" />
                        <input type="hidden" id="marker_url" name="marker_url" value="<?php echo JURI::root(); ?>" />
                        <div class="update_list_item hide" >
                            <a href="#" id="back_edit_marker" class="cancel  left">◄ Back</a>
                            <ul>
                                <li class="has_background">
                                    <label for="marker_edit_location">Address</label>
                                    <input type="text" id="marker_edit_location" name="marker_edit_location" />
                                </li>
                                <li>
                                    <label for="marker_edit_location_lat">Latitude</label> 
                                    <input type="text" id="marker_edit_location_lat" name="marker_edit_location_lat" />
                                </li>
                                <li class="has_background">
                                    <label for="marker_edit_location_lng">Longitude</label>
                                    <input type="text" id="marker_edit_location_lng" name="marker_edit_location_lng" />
                                </li>
                                <li>
                                    <label for="marker_edit_animation">Animation</label>
                                    <select id="marker_edit_animation" name="marker_edit_animation">
                                        <option checked="checked" value="NONE">None</option>
                                        <option value="BOUNCE">Bounce</option>
                                        <option value="DROP">Drop</option>
                                    </select>
                                </li>
                                <li class="has_background">
                                    <label for="marker_edit_title">Title</label>
                                    <input type="text" id="marker_edit_title" name="marker_edit_title" />
                                </li>
                                <li class="description_container">
                                    <label for="marker_edit_description">Description<span class="pro_desc"><a href="http://huge-it.com/joomla-googlemaps" target="_blank">Go Pro</a>&#32;&#32;&#32; to enable HTML in description</span></label>
                                    <textarea class="description" id="marker_edit_description" name="marker_edit_description"></textarea>
                                </li>

                                <li class="pro has_background">
                                    <label>Choose Marker Icon</label>
                                </li>
                                <li class="pro_icon marker_image_choose">
                                    <ul>
                                        <li>
                                            <div class="imag_block">
                                                <img src="<?php echo JUri::root() . 'media/com_googlemaps/images/default-icon.png' ?>" alt="" />
                                            </div>
                                            <input type="radio" class="marker_image_change_marker marker_image_choose_button" name="marker_image_change" value="default" />
                                        </li>
                                        <li>
                                            <div class="imag_block">
                                                <img src="<?php echo JUri::root() . 'media/com_googlemaps/images/icons/marker48.png' ?>" alt="" />
                                            </div>
                                            <input type="radio" class="marker_image_change_marker marker_image_choose_button" name="marker_edit_image_change" value="default" />
                                        </li>
                                        <li>
                                            <div class="imag_block">
                                                <img src="<?php echo JUri::root() . "media/com_googlemaps/images/icons/azuremarker48.png"; ?>" alt="" />
                                            </div>
                                            <input type="radio" class="marker_image_change_azuremarker marker_image_choose_button" name="marker_edit_image_change" value="default" />
                                        </li>
                                        <li>
                                            <div class="imag_block">
                                                <img src="<?php echo JUri::root() . "media/com_googlemaps/images/icons/redmarker48.png"; ?>" alt="" />
                                            </div>
                                            <input type="radio" class="marker_image_change_redmarker marker_image_choose_button" name="marker_edit_image_change" value="default" />
                                        </li>
                                        <li>
                                            <div class="imag_block">
                                                <img src="<?php echo JUri::root() . "media/com_googlemaps/images/icons/bluemarker48.png"; ?>" alt="" />
                                            </div>
                                            <input type="radio" class="marker_image_change_bluemarker marker_image_choose_button" name="marker_edit_image_change" value="default" />
                                        </li>
                                        <li>
                                            <div class="imag_block">
                                                <img src="<?php echo JUri::root() . "media/com_googlemaps/images/icons/greenmarker48.png"; ?>" alt="" />
                                            </div>
                                            <input type="radio" class="marker_image_change_greenmarker marker_image_choose_button" name="marker_edit_image_change" value="default" />
                                        </li>
                                        <li>
                                            <div class="imag_block">
                                                <img src="<?php echo JUri::root() . "media/com_googlemaps/images/icons/starmarker48.png"; ?>" alt="" />
                                            </div>
                                            <input type="radio" class="marker_image_change_starmarker marker_image_choose_button" name="marker_edit_image_change" value="default" />
                                        </li>
                                        <li>
                                            <div class="imag_block">
                                                <img src="<?php echo JUri::root() . "media/com_googlemaps/images/icons/blackmarker48.png"; ?>" alt="" />
                                            </div>
                                            <input type="radio" class="marker_image_change_blackmarker marker_image_choose_button" name="marker_edit_image_change" value="default" />
                                        </li>
                                        <li>
                                            <div class="imag_block">
                                                <img src="<?php echo JUri::root() . "media/com_googlemaps/images/icons/pinleft48.png"; ?>" alt="" />
                                            </div>
                                            <input type="radio" class="marker_image_change_pinleft marker_image_choose_button" name="marker_edit_image_change" value="default" />
                                        </li>
                                        <li>
                                            <div class="imag_block">
                                                <img src="<?php echo JUri::root() . "media/com_googlemaps/images/icons/pinpink48.png"; ?>" alt="" />
                                            </div>
                                            <input type="radio" class="marker_image_change_pinpink marker_image_choose_button" name="marker_edit_image_change" value="default" />
                                        </li>
                                        <li>
                                            <div class="imag_block">
                                                <img src="<?php echo JUri::root() . "media/com_googlemaps/images/icons/pinright48.png"; ?>" alt="" />
                                            </div>
                                            <input type="radio" class="marker_image_change_pinright marker_image_choose_button" name="marker_edit_image_change" value="default" />
                                        </li>
                                        <li>
                                            <div class="imag_block">
                                                <img src="<?php echo JUri::root() . "media/com_googlemaps/images/icons/toyflag48.png"; ?>" alt="" />
                                            </div>
                                            <input type="radio" class="marker_image_change_toyflag marker_image_choose_button" name="marker_edit_image_change" value="default" />
                                        </li>
                                        <li>
                                            <div class="imag_block">
                                                <img src="<?php echo JUri::root() . "media/com_googlemaps/images/icons/greenflag48.png"; ?>" alt="" />
                                            </div>
                                            <input type="radio" class="marker_image_change_greenflag marker_image_choose_button" name="marker_edit_image_change" value="default" />
                                        </li>
                                        <li>
                                            <div class="imag_block">
                                                <img src="<?php echo JUri::root() . "media/com_googlemaps/images/icons/flagleft48.png"; ?>" alt="" />
                                            </div>
                                            <input type="radio" class="marker_image_change_flagleft marker_image_choose_button" name="marker_edit_image_change" value="default" />
                                        </li>
                                        <li>
                                            <div class="imag_block">
                                                <img src="<?php echo JUri::root() . "media/com_googlemaps/images/icons/pinkflag48.png"; ?>" alt="" />
                                            </div>
                                            <input type="radio" class="marker_image_change_pinkflag marker_image_choose_button" name="marker_edit_image_change" value="default" />
                                        </li>
                                        <li>
                                            <div class="imag_block">
                                                <img src="<?php echo JUri::root() . "media/com_googlemaps/images/icons/blueflag48.png"; ?>" alt="" />
                                            </div>
                                            <input type="radio" class="marker_image_change_blueflag marker_image_choose_button" name="marker_edit_image_change" value="default" />
                                        </li>
                                        <li>
                                            <div class="imag_block">
                                                <img src="<?php echo JUri::root() . "media/com_googlemaps/images/icons/flagright48.png"; ?>" alt="" />
                                            </div>
                                            <input type="radio" class="marker_image_change_flagright marker_image_choose_button" name="marker_edit_image_change" value="default" />
                                        </li>
                                        <li>
                                            <div class="imag_block">
                                                <img src="<?php echo JUri::root() . "media/com_googlemaps/images/icons/paperflag48.png"; ?>" alt="" />
                                            </div>
                                            <input type="radio" class="marker_image_change_paperflag marker_image_choose_button" name="marker_edit_image_change" value="default" />
                                        </li>
                                        <li>
                                            <div class="imag_block">
                                                <img src="<?php echo JUri::root() . "media/com_googlemaps/images/icons/pointcenter48.png"; ?>" alt="" />
                                            </div>
                                            <input type="radio" class="marker_image_change_pointcenter marker_image_choose_button" name="marker_edit_image_change" value="default" />
                                        </li>
                                        <li>
                                            <div class="imag_block">
                                                <img src="<?php echo JUri::root() . "media/com_googlemaps/images/icons/redflag48.png"; ?>" alt="" />
                                            </div>
                                            <input type="radio" class="marker_image_change_redflag marker_image_choose_button" name="marker_edit_image_change" value="default" />
                                        </li>
                                        <li>
                                            <div class="imag_block">
                                                <img src="<?php echo JUri::root() . "media/com_googlemaps/images/icons/baseflag48.png"; ?>" alt="" />
                                            </div>
                                            <input type="radio" class="marker_image_change_baseflag marker_image_choose_button" name="marker_edit_image_change" value="default" />
                                        </li>

                                        <li>
                                            <div class="imag_block">
                                                <img src="<?php echo JUri::root() . "media/com_googlemaps/images/icons/pointleft48.png"; ?>" alt="" />
                                            </div>
                                            <input type="radio" class="marker_image_change_pointleft marker_image_choose_button" name="marker_edit_image_change" value="default" />
                                        </li>

                                        <li>
                                            <div class="imag_block">
                                                <img src="<?php echo JUri::root() . "media/com_googlemaps/images/icons/pinkleft48.png"; ?>" alt="" />
                                            </div>
                                            <input type="radio" class="marker_image_change_pinkleft marker_image_choose_button" name="marker_edit_image_change" value="default" />
                                        </li>
                                        <li>
                                            <div class="imag_block">
                                                <img src="<?php echo JUri::root() . "media/com_googlemaps/images/icons/pinkgreen48.png"; ?>" alt="" />
                                            </div>
                                            <input type="radio" class="marker_image_change_pinkgreen marker_image_choose_button" name="marker_edit_image_change" value="default" />
                                        </li>
                                        <li>
                                            <div class="imag_block">
                                                <img src="<?php echo JUri::root() . "media/com_googlemaps/images/icons/pinkright48.png"; ?>" alt="" />
                                            </div>
                                            <input type="radio" class="marker_image_change_pinkright marker_image_choose_button" name="marker_edit_image_change" value="default" />
                                        </li>
                                        <li>
                                            <div class="imag_block">
                                                <img src="<?php echo JUri::root() . "media/com_googlemaps/images/icons/star48.png"; ?>" alt="" />
                                            </div>
                                            <input type="radio" class="marker_image_change_star marker_image_choose_button" name="marker_edit_image_change" value="default" />
                                        </li>
                                        <li>
                                            <div class="imag_block">
                                                <img src="<?php echo JUri::root() . "media/com_googlemaps/images/icons/pointright48.png"; ?>" alt="" />
                                            </div>
                                            <input type="radio" class="marker_image_change_pointright marker_image_choose_button" name="marker_edit_image_change" value="default" />
                                        </li>
                                        <li>
                                            <div class="imag_block">
                                                <img src="<?php echo JUri::root() . "media/com_googlemaps/images/icons/pointer48.png"; ?>" alt="" />
                                            </div>
                                            <input type="radio" class="marker_image_change_pointer marker_image_choose_button" name="marker_edit_image_change" value="default" />
                                        </li>
                                        <li>
                                            <div class="imag_block">
                                                <img src="<?php echo JUri::root() . "media/com_googlemaps/images/icons/shopmarker48.png"; ?>" alt="" />
                                            </div>
                                            <input type="radio" class="marker_image_change_shopmarker marker_image_choose_button" name="marker_edit_image_change" value="default" />
                                        </li>
                                    </ul>
                                </li>
                                <li class="pro has_background">
                                    <label for="marker_edit_image_size">Size of Icon</label>
                                    <select name="marker_edit_image_size" id="marker_edit_image_size" >
                                        <option id="image_edit_size_16" value="16">16x16</option>
                                        <option id="image_edit_size_16" value="16">24x24</option>
                                        <option id="image_edit_size_16" value="16">48x48</option>
                                        <option id="image_edit_size_16" value="16">64x64</option>
                                        <option id="image_edit_size_16" value="16">256x256</option>
                                    </select>
                                </li>
                                <li class="pro">
                                    <label for="marker_edit_pic">Custom Marker Icon</label>
                                    <input style="width:25% !important" type="text" id="marker_edit_pic" name="marker_edit_pic" placeholder="http://" readonly="" />
                                    <input type="hidden" id="marker_edit_pic_name" name="marker_edit_pic_name" />
                                    <input type="hidden" id="marker_edit_pic_url" name="marker_edit_pic_url" />
                                    <a href="#" onclick="alert('Custom Icons are disabled in free version.If you  need those functionalities, you need to buy the commercial version.')">Upload Image</a>
                                </li>
                            </ul>
                            <div>                
                                <input type="submit" class="btn btn-small btn-success button-primary" name="marker_edit_submmit" map_id = <?php echo $mapId ?> id="marker_edit_submmit" value="Save" />
                                <a href="#" class="cancel" id="cancel_edit_marker">Cancel</a>
                            </div>
                        </div>
                    </form>
                </div>
            </li>

            <!-- Add Polygone -->
            <li class="editing_section">
                <div class="editing_heading">
                    Polygons
                    <div class="help">?
                        <div class="help-block">
                            <span class="pnt"></span>
                            <p>Bounded highlighted area on the map, showing the specific range, limited with geometric figure. Right click on the map to add point. Hold pressed and drag to move it. Left click to remove it.</p>
                        </div>
                    </div>
                    <span class="heading_arrow">▼</span>
                </div>
                <div class="edit_content hide">
                    <div id="g_map_polygone_options">
                        <form action ="<?php echo JRoute::_('index.php?option=com_googlemaps&id=' . (int) $this->item->id); ?>" method="post">
                            <a id="polygon_add_button" class="add_button clear" href="#">+Add New Polygone</a>
                            <div class="hidden_edit_content hide">
                                <a href="#" id="back_polygone" class="cancel left">◄ Back</a>
                                <ul>
                                    <li class="has_background">
                                        <label for="polygone_name">Name</label>
                                        <input type="text" name="polygone_name" id="polygone_name" />
                                    </li>
                                    <li class="pro">
                                        <label for="polygone_url">Link</label>
                                        <input type="text" name="polygone_url" id="polygone_url" placeholder="http://" />
                                    </li>
                                    <li class="description_container">
                                        <label for="polygone_coords">data</label>
                                        <textarea id="polygone_coords" class="polycoords" name="polygone_coords" readonly="readonly" placeholder="Right click on the map to add point. Hold pressed and drag to move it. Left click to remove it."></textarea>
                                    </li>
                                    <li>
                                        <label for="polygone_line_opacity">Line Transparency</label>
                                        <div class="slider-container" style="float:left; width:55%; height:25px; ">
                                            <input type="text" name="polygone_line_opacity" id="polygone_line_opacity" class="polygone_options_input" data-slider-highlight="true"  data-slider-values="0,0.1,0.2,0.3,0.4,0.5,0.6,0.7,0.8,0.9,1" type="text" data-slider="true" value="0.9" />
                                            <span style="position:absolute; top: 4px;left: 160px;">0.9</span>
                                        </div>
                                    </li>

                                    <li class="has_background">
                                        <label for="polygone_line_color">Line Color</label>
                                        <input type="text" class="jscolor polygone_options_input" name="polygone_line_color" id="polygone_line_color" value="FF0F0F" />
                                    </li>
                                    <li>
                                        <label for="polygone_line_width">Line Width</label>
                                        <div class="slider-container" style="float:left; width:55%; height:25px; ">
                                            <input type="text" name="polygone_line_width" class="polygone_options_input" id="polygone_line_width" data-slider-highlight="true"  data-slider-values="<?php for ($i = 0; $i <= 50; $i++) {
    if ($i == 50) {
        echo $i;
    } else {
        echo $i . ",";
    }
} ?>" type="text" data-slider="true" value="5" />
                                            <span style="position:absolute; top: 4px;left: 160px;">5</span>
                                        </div>
                                    </li>
                                    <li class="has_background"> 
                                        <label for="polygone_fill_opacity">Fill Transparency</label>
                                        <div class="slider-container" style="float:left; width:55%; height:25px; ">
                                            <input type="text" name="polygone_fill_opacity" id="polygone_fill_opacity" class="polygone_options_input" data-slider-highlight="true"  data-slider-values="0,0.1,0.2,0.3,0.4,0.5,0.6,0.7,0.8,0.9,1" type="text" data-slider="true" value="0.5" />
                                            <span style="position:absolute; top: 4px;left: 160px;">0.5</span>
                                        </div>
                                    </li>
                                    <li>
                                        <label for="polygone_fill_color">Fill Color</label>
                                        <input type="text" name="polygone_fill_color" id="polygone_fill_color" class="jscolor polygone_options_input" value="5DFF0D" />
                                    </li>
                                    <li class="pro has_background"> 
                                        <label for="hover_polygone_fill_opacity">On-Hover Fill Transparency</label>
                                        <div class="slider-container" style="float:left; width:47%; height:25px;margin-left:17px ">
                                            <input type="text" name="hover_polygone_fill_opacity" id="hover_polygone_fill_opacity" class="polygone_options_input" data-slider-highlight="true"  data-slider-values="0,0.1,0.2,0.3,0.4,0.5,0.6,0.7,0.8,0.9,1" type="text" data-slider="true" value="0.5" />
                                            <span style="position:absolute; top: 4px;left: 160px;">0.5</span>
                                        </div>
                                    </li>
                                    <li class="pro">
                                        <label for="hover_polygone_fill_color">On-Hover Fill Color</label>
                                        <input type="text" name="hover_polygone_fill_color" id="hover_polygone_fill_color" class="jscolor polygone_options_input" value="75FF7E" />
                                    </li>
                                    <li class="pro has_background">  
                                        <label for="hover_polygone_line_opacity">On-Hover Line Transparency</label>
                                        <div class="slider-container" style="float:left; width:47%; height:25px;margin-left:17px ">
                                            <input type="text" name="hover_polygone_line_opacity" id="hover_polygone_line_opacity" class="polygone_options_input" data-slider-highlight="true"  data-slider-values="0,0.1,0.2,0.3,0.4,0.5,0.6,0.7,0.8,0.9,1" type="text" data-slider="true" value="0.5" />
                                            <span style="position:absolute; top: 4px;left: 160px;">0.5</span>
                                        </div>
                                    </li>
                                    <li class="pro">
                                        <label for="hover_polygone_line_color">On-Hover Line Color</label>
                                        <input type="text" name="hover_polygone_line_color" id="hover_polygone_line_color" class="jscolor polygone_options_input" value="FF80B7" />
                                    </li>

                                </ul>
                                <div>
                                    <input type="submit" class="btn btn-small btn-success button-primary" name="polygone_submit" id="polygone_submit" value="Save" map_id="<?php echo $mapId ?>" />
                                    <a href="#" id="cancel_polygone" class="cancel">Cancel</a>
                                    <div id="createdPolygoneResult" style="float: left;margin:10px 0 0 0;color:#900000 "></div>
                                </div>

                            </div>
                        </form>
                        <div id="polygone_edit_exist_section">
                            <div class="edit_list_heading">
                                <div class="list_number"> ID </div>
                                <div class="edit_list_item"> Title </div>
                                <div class="edit_list_delete"> Action</div>
                            </div>

<?php
$i = 1;
?>
                            <ul class="list_exist" id="polygone_list_exist">
<?php
foreach ($this->polygones as $polygone) {
    $j = $i % 2;
    ?>
                                    <li class="edit_list <?php if ($j == 1) {
        echo "has_background";
    } ?>" data-list_id="<?php echo $polygone->id; ?>" id="<?= 'polygoneId_' . $polygone->id; ?>" polygonAttrId_<?php echo $polygone->id; ?> ="<?php echo $polygone->id; ?>"  >
                                        <div class="list_number">
    <?php echo $i; ?>
                                        </div>
                                        <div class="edit_list_item">
    <?php if (!empty($polygone->name)) {
        echo $polygone->name;
    } else {
        echo "-";
    } ?>
                                        </div>
                                        <div class="edit_polygone_list_delete edit_list_delete">
                                            <form class="edit_list_delete_form" method="post" action="<?php echo JRoute::_('index.php?option=com_googlemaps&id=' . (int) $this->item->id); ?>">
                                                <input  type="submit" class="btn btn-mini button edit_list_delete_submit" name="edit_list_delete_submit" value=" " style="background: url(<?php echo JUri::root() . "media/com_googlemaps/images/close.png"; ?>) center center no-repeat ;width: 34px;height: 26px" 
                                                        onclick='getValueForPolygoneDelete("polygoneId_<?php echo $polygone->id; ?>", "polygonAttrId_<?php echo $polygone->id; ?>")' />


                                                <input type="hidden" class="edit_list_delete_type" name="edit_list_delete_type" value="polygone" />
                                                <input type="hidden" class="edit_list_delete_table" value="g_polygones" />
                                                <input type="hidden" name="delete_polygone_id" class="edit_list_delete_id" value="<?php echo $polygone->id ?>" />
                                            </form>
                                            <a href="#" class="btn btn-mini edit_polygone_list_item" class="" ><img src="<?php echo JUri::root() ?>media/com_googlemaps/images/edit1.png" style="position: relative;right:3px;top:3px"/></a>
                                            <input type="hidden" class="polygone_edit_id" name="polygone_edit_id" value="<?php echo $polygone->id ?>" />
                                        </div>
                                    </li>
    <?php $i++;
} ?>
                            </ul>

                        </div>
                        <form action="<?php echo JRoute::_('index.php?option=com_googlemaps&id=' . (int) $this->item->id); ?>" method="post">
                            <input type="hidden" id="polygone_get_id" name="polygone_get_id" />
                            <div class="update_list_item hide">
                                <a href="#" id="back_edit_polygone" class="cancel left">◄ Back</a>
                                <ul>
                                    <li class="has_background">
                                        <label for="polygone_edit_name">Name</label>
                                        <input type="text" name="polygone_edit_name" id="polygone_edit_name" />
                                    </li>
                                    <li class="pro">
                                        <label for="polygone_edit_url">Link</label>
                                        <input type="text" name="polygone_edit_url" id="polygone_edit_url" placeholder="http://"  readonly/>
                                    </li>
                                    <li class="description_container">
                                        <label for="polygone_edit_coords">data</label>
                                        <textarea id="polygone_edit_coords" class="polycoords" name="polygone_edit_coords" readonly="readonly" placeholder="Right click on the map to add point. Hold pressed and drag to move it. Left click to remove it."></textarea>
                                    </li>
                                    <li>
                                        <label for="polygone_edit_line_opacity">Line Transparency</label>
                                        <div class="slider-container" style="float:left; width:55%; height:25px; ">
                                            <input type="text" name="polygone_edit_line_opacity" id="polygone_edit_line_opacity" class="polygone_edit_options_input" data-slider-highlight="true"  data-slider-values="0,0.1,0.2,0.3,0.4,0.5,0.6,0.7,0.8,0.9,1" type="text" data-slider="true" />
                                            <span style="position:absolute; top: 4px;left: 160px;"></span>
                                        </div>
                                    </li>
                                    <li class="has_background">
                                        <label for="polygone_edit_line_color">Line Color</label>
                                        <input type="text" class="jscolor polygone_edit_options_input" name="polygone_edit_line_color" id="polygone_edit_line_color" value="" />
                                    </li>
                                    <li>
                                        <label for="polygone_edit_line_width">Line Width</label>
                                        <div class="slider-container" style="float:left; width:55%; height:25px; ">
                                            <input type="text" name="polygone_edit_line_width" class="polygone_edit_options_input" id="polygone_edit_line_width" data-slider-highlight="true"  data-slider-values="<?php for ($i = 0; $i <= 50; $i++) {
    if ($i == 50) {
        echo $i;
    } else {
        echo $i . ",";
    }
} ?>" type="text" data-slider="true" value="" />
                                            <span style="position:absolute; top: 4px;left: 160px;"></span>
                                        </div>
                                    </li>
                                    <li class="has_background"> 
                                        <label for="polygone_edit_fill_opacity">Fill Transparency</label>
                                        <div class="slider-container" style="float:left; width:55%; height:25px; ">
                                            <input type="text" name="polygone_edit_fill_opacity" id="polygone_edit_fill_opacity" class="polygone_edit_options_input" data-slider-highlight="true"  data-slider-values="0,0.1,0.2,0.3,0.4,0.5,0.6,0.7,0.8,0.9,1" type="text" data-slider="true" />
                                            <span style="position:absolute; top: 4px;left: 160px;"></span>
                                        </div>
                                    </li>
                                    <li>
                                        <label for="polygone_edit_fill_color">Fill Color</label>
                                        <input type="text" name="polygone_edit_fill_color" id="polygone_edit_fill_color" class="jscolor polygone_edit_options_input" value="" />
                                    </li>
                                    <li class="pro has_background"> 
                                        <label for="hover_polygone_edit_fill_opacity">On-Hover Fill Transparency</label>
                                        <div class="slider-container" style="float:left; width:55%; height:25px; margin-left:5px">
                                            <input type="text" name="hover_polygone_edit_fill_opacity" id="hover_polygone_edit_fill_opacity" class="polygone_options_input" data-slider-highlight="true"  data-slider-values="0,0.1,0.2,0.3,0.4,0.5,0.6,0.7,0.8,0.9,1" type="text" data-slider="true" />
                                            <span style="position:absolute; top: 4px;left: 160px;"></span>
                                        </div>
                                    </li>
                                    <li class="pro">
                                        <label for="hover_polygone_edit_fill_color">On-Hover Fill Color</label>
                                        <input type="text" name="hover_polygone_edit_fill_color" id="hover_polygone_edit_fill_color" class="jscolor polygone_options_input" />
                                    </li>
                                    <li class="pro has_background">  
                                        <label for="hover_polygone_edit_line_opacity">On-Hover Line Transparency</label>
                                        <div class="slider-container" style="float:left; width:46%; height:25px; margin-left:15px ">
                                            <input type="text" name="hover_polygone_edit_line_opacity" id="hover_polygone_edit_line_opacity" class="polygone_options_input" data-slider-highlight="true"  data-slider-values="0,0.1,0.2,0.3,0.4,0.5,0.6,0.7,0.8,0.9,1" type="text" data-slider="true" />
                                            <span style="position:absolute; top: 4px;left: 160px;"></span>
                                        </div>
                                    </li>
                                    <li class="pro">
                                        <label for="hover_polygone_edit_line_color">On-Hover Line Color</label>
                                        <input type="text" name="hover_polygone_edit_line_color" id="hover_polygone_edit_line_color" class="jscolor polygone_options_input" />
                                    </li>

                                </ul>
                                <div> 
                                    <input type="submit" class="btn btn-small btn-success button-primary" name="polygone_edit_submit" id="polygone_edit_submit" value="Save"  />
                                    <a href="#" id="cancel_edit_polygone" class="cancel">Cancel</a>
                                    <div id="polygone_edit_coords" style="float: left"></div>
                                </div>
                            </div>
                        </form>
                    </div>
                </div>
            </li>

            <li class="editing_section">
                <div class="editing_heading">
                    Polylines
                    <div class="help">?
                        <div class="help-block">
                            <span class="pnt"></span>
                            <p>Continuous line composed of one or more line segments, which creates specific track. Right click on the map to add point. Hold pressed and drag to move it. Left click to remove it.</p>
                        </div>
                    </div>
                    <span class="heading_arrow">▼</span>
                </div>
                <div class="edit_content hide">
                    <div id="g_map_polyline_options">
                        <form action ="<?php echo JRoute::_('index.php?option=com_googlemaps&id=' . (int) $this->item->id); ?>" method="post">
                            <a id="polyline_add_button" class="add_button" href="#">+Add New Polyline</a>
                            <div class="hidden_edit_content hide">
                                <a href="#" id="back_polyline" class="cancel left">◄ Back</a>
                                <ul>
                                    <li class="has_background">
                                        <label for="polyline_name">Name</label>
                                        <input type="text" id="polyline_name" name="polyline_name" />
                                    </li>
                                    <li class="description_container">
                                        <label for="polyline_coords">data</label>
                                        <textarea id="polyline_coords" class="polycoords" name="polyline_coords" readonly="readonly" placeholder="Right click on the map to add point. Hold pressed and drag to move it. Left click to remove it."></textarea>
                                    </li>
                                    <li>
                                        <label for="polyline_line_opacity">Line Transparency</label>
                                        <div class="slider-container" style="float:left; width:55%; height:25px; ">
                                            <input type="text" name="polyline_line_opacity" id="polyline_line_opacity" class="polyline_options_input" data-slider-highlight="true"  data-slider-values="0,0.1,0.2,0.3,0.4,0.5,0.6,0.7,0.8,0.9,1" type="text" data-slider="true" value="0.9" />
                                            <span style="position:absolute; top: 4px;left: 160px;">0.9</span>
                                        </div>
                                    </li>
                                    <li class="has_background">
                                        <label for="polyline_line_color">Line Color</label>
                                        <input type="text" class="jscolor polyline_options_input" name="polyline_line_color" id="polyline_line_color" value="18A326" />
                                    </li>
                                    <li>
                                        <label for="polyline_line_width">Line Width</label>
                                        <div class="slider-container" style="float:left; width:55%; height:25px; ">
                                            <input type="text" name="polyline_line_width" class="polyline_options_input " id="polyline_line_width" data-slider-highlight="true"  data-slider-values="<?php for ($i = 0; $i <= 50; $i++) {
    if ($i == 50) {
        echo $i;
    } else {
        echo $i . ",";
    }
} ?>" type="text" data-slider="true" value="5" />
                                            <span style="position:absolute; top: 4px;left: 160px;">5</span>
                                        </div>
                                    </li>
                                    <li  class="pro has_background" >
                                        <label for="hover_polyline_line_color">On-Hover Line Color</label>
                                        <input type="text" class="jscolor polyline_options_input" name="hover_polyline_line_color" id="hover_polyline_line_color" value="11A000" />
                                    </li>
                                    <li class="pro">
                                        <label for="hover_polyline_line_opacity">On-Hover Line Transparency</label>
                                        <div class="slider-container" style="float: left;  width: 48%;  height: 25px;  margin-top: 8px;  margin-left: 12px;">
                                            <input type="text" name="hover_polyline_line_opacity" class="polyline_options_input " id="hover_polyline_line_opacity" data-slider-highlight="true"  data-slider-values="0,0.1,0.2,0.3,0.4,0.5,0.6,0.7,0.8,0.9,1" type="text" data-slider="true" value="0.5" />
                                            <span style="position:absolute; top: 4px;left: 160px;">0.5</span>
                                        </div>
                                    </li>
                                </ul>
                                <div>
                                    <input type="submit" class="btn btn-small btn-success button-primary" id="polyline_submit" name="polyline_submit" value="Save"  map_id="<?php echo $mapId ?>"/>
                                    <a href="#" id="cancel_polyline" class="cancel">Cancel</a>
                                    <div id="saveCreatePolyline" style="float: left;color: #900000" ></div>
                                </div>
                            </div>
                        </form>
                        <div id="polyline_edit_exist_section">
                            <div class="edit_list_heading">
                                <div class="list_number">ID</div>
                                <div class="edit_list_item">Title</div>
                                <div class="edit_list_delete"> Action</div>
                            </div>



                            <ul  class="list_exist" id="polyline_list_exist">
<?php
$i = 1;
foreach ($this->polylines as $polyline) {
    $j = $i % 2;
    ?>
                                    <li class="edit_list <?php if ($j == 1) {
        echo "has_background";
    } ?>" data-list_id="<?php echo $polyline->id; ?>" id="<?= 'polylineId_' . $polyline->id; ?>" polylineAttrId_<?php echo $polyline->id; ?> ="<?php echo $polyline->id; ?>" >
                                        <div class="list_number">
    <?php echo $i; ?>
                                        </div>
                                        <div class="edit_list_item">
    <?php if (!empty($polyline->name)) {
        echo $polyline->name;
    } else {
        echo "-";
    } ?>
                                        </div>
                                        <div class="edit_polyline_list_delete edit_list_delete">
                                            <form class="edit_list_delete_form" method="post" action="<?php echo JRoute::_('index.php?option=com_googlemaps&id=' . (int) $this->item->id); ?>">
                                                <input type="submit" class="btn btn-mini button  edit_list_delete_submit" name="edit_list_delete_submit" value="" 
                                                       onclick='getValueForPolylineDelete("polylineId_<?= $polyline->id; ?>", "polylineAttrId_<?php echo $polyline->id; ?>")' style="background: url(<?php echo JUri::root() . "media/com_googlemaps/images/close.png"; ?>) center center no-repeat ;width: 34px;height: 26px" />
                                                <input type="hidden" class="edit_list_delete_type" name="edit_list_delete_type" value="polyline" />
                                                <input type="hidden" class="edit_list_delete_table" value="g_polylines" />
                                                <input type="hidden" name="delete_polyline_id" class="edit_list_delete_id" value="<?php echo $polyline->id ?>" />
                                            </form>

                                            <a href="#" class="btn btn-mini edit_polyline_list_item" ><img src="<?php echo JUri::root() ?>media/com_googlemaps/images/edit1.png" style="position: relative;right:3px;top:3px"/></a></a>
                                            <input type="hidden" class="polyline_edit_id" name="polyline_edit_id" value="<?php echo $polyline->id ?>" />
                                        </div>
                                    </li>

    <?php $i++;
} ?>
                            </ul>
                        </div>
                        <form action="<?php echo JRoute::_('index.php?option=com_googlemaps&id=' . (int) $this->item->id); ?>" method="post">
                            <input type="hidden" id="polyline_get_id" name="polyline_get_id" />
                            <div class="update_list_item hide">
                                <a href="#" id="back_edit_polyline" class="cancel left">◄ Back</a>
                                <ul>
                                    <li class="has_background">
                                        <label for="polyline_edit_name">Name</label>
                                        <input type="text" id="polyline_edit_name" name="polyline_edit_name" />
                                    </li>
                                    <li class="description_container">
                                        <label for="polyline_edit_coords">data</label>
                                        <textarea id="polyline_edit_coords" class="polycoords" name="polyline_edit_coords" readonly="readonly" placeholder="Right click on the map to add point. Hold pressed and drag to move it. Left click to remove it."></textarea>
                                    </li>
                                    <li>
                                        <label for="polyline_edit_line_opacity">Line Transparency</label>
                                        <div class="slider-container" style="float:left; width:55%; height:25px; ">
                                            <input type="text" name="polyline_edit_line_opacity" id="polyline_edit_line_opacity" class="polyline_edit_options_input" data-slider-highlight="true"  data-slider-values="0,0.1,0.2,0.3,0.4,0.5,0.6,0.7,0.8,0.9,1" type="text" data-slider="true" value="0.9" />
                                            <span style="position:absolute; top: 4px;left: 160px;">0.9</span>
                                        </div>
                                    </li>
                                    <li class="has_background">
                                        <label for="polyline_edit_line_color">Line Color</label>
                                        <input type="text" class="jscolor polyline_edit_options_input" name="polyline_edit_line_color" id="polyline_edit_line_color" value="FF0F0F" />
                                    </li>
                                    <li>
                                        <label for="polyline_edit_line_width">Line Width</label>
                                        <div class="slider-container" style="float:left; width:55%; height:25px; ">
                                            <input type="text" name="polyline_edit_line_width" class="polyline_edit_options_input " id="polyline_edit_line_width" data-slider-highlight="true"  data-slider-values="<?php for ($i = 0; $i <= 50; $i++) {
    if ($i == 50) {
        echo $i;
    } else {
        echo $i . ",";
    }
} ?>" type="text" data-slider="true" value="5" />
                                            <span style="position:absolute; top: 4px;left: 160px;">5</span>
                                        </div>
                                    </li>
                                    <li  class="pro has_background" >
                                        <label for="hover_polyline_edit_line_color">On-Hover Line Color</label>
                                        <input type="text" class="jscolor polyline_options_input" name="hover_polyline_edit_line_color" id="hover_polyline_edit_line_color" />
                                    </li>
                                    <li class="pro">
                                        <label for="hover_polyline_edit_line_opacity">On-Hover Line Transparency</label>
                                        <div class="slider-container" style="    margin-top: 10px;  float: left;   width: 46%;   height: 25px;   margin-left: 10px;">
                                            <input type="text" name="hover_polyline_edit_line_opacity" class="polyline_options_input " id="hover_polyline_edit_line_opacity" data-slider-highlight="true"  data-slider-values="0,0.1,0.2,0.3,0.4,0.5,0.6,0.7,0.8,0.9,1" type="text" data-slider="true"/>
                                            <span style="position:absolute; top: 4px;left: 160px;"></span>
                                        </div>
                                    </li>
                                </ul>
                                <div>
                                    <input type="submit" class="btn btn-small btn-success button-primary" id="polyline_edit_submit" name="polyline_edit_submit" value="Save" map_id = "<?php echo $mapId ?>" />
                                    <a href="#" id="cancel_edit_polyline" class="cancel">Cancel</a>
                                    <div id="PolylineEditeResult" style="float: left"></div>
                                </div>
                            </div>
                        </form>
                    </div>
                </div>
            </li>


            <li class="editing_section">
                <div class="editing_heading">
                    Circles
                    <div class="help">?
                        <div class="help-block">
                            <span class="pnt"></span>
                            <p>Round area, showing the specific range. Right click on map wherever you need to place the circle’s center. Hold pressed and drag to move it</p>
                        </div>
                    </div>
                    <span class="heading_arrow">▼</span>
                </div>
                <div class="edit_content hide">
                    <div id="g_map_circle_options" style="margin:10px 0 0 0;">
                        <form action ="<?php echo JRoute::_('index.php?option=com_googlemaps&id=' . (int) $this->item->id); ?>" method="post">
                            <a id="circle_add_button" class="add_button" href="#">+Add New Circles</a>
                            <div class="hidden_edit_content hide">
                                <a href="#" id="back_circle" class="cancel left">◄ Back</a>
                                <ul>
                                    <li class="has_background">
                                        <label for="circle_name">Name</label>
                                        <input type="text" id="circle_name" name="circle_name" class="circle_options_input" />
                                    </li>
                                    <li>
                                        <label for="circle_center_addr">center Address</label>
                                        <input type="text" class="circle_options_input" id="circle_center_addr" name="circle_center_addr" />
                                    </li>
                                    <li class="has_background">
                                        <label for="circle_center_lat">center Latitude</label>
                                        <input type="text" class="circle_options_input" id="circle_center_lat" name="circle_center_lat" />
                                    </li>
                                    <li>
                                        <label for="circle_center_lng">center Longitude</label>
                                        <input type="text" class="circle_options_input" id="circle_center_lng" name="circle_center_lng" />
                                    </li>

                                    <li class="has_background">
                                        <label>Show Marker?</label>
                                        <label class="radio_label" for="circle_marker_show">YES</label>
                                        <input type="radio" class="radio circle_marker_show" id="circle_marker_show" name="circle_marker_show" value="1" />
                                        <label class="radio_label" for="circle_marker_show">NO</label>
                                        <input type="radio" class="radio circle_marker_show" id="circle_marker_show"  name="circle_marker_show" value="0" checked />
                                    </li>
                                    <li>
                                        <label for="circle_radius">Radius(meter)</label>
                                        <input type="number" class="circle_options_input" id="circle_radius" name="circle_radius" value="50000" />
                                    </li>
                                    <li class="has_background">
                                        <label for="circle_line_width">Line Width</label>
                                        <div class="slider-container" style="float:left; width:55%; height:25px; ">
                                            <input type="text" class="circle_options_input" id="circle_line_width" name="circle_line_width" data-slider-highlight="true"  data-slider-values="<?php for ($i = 0; $i <= 50; $i++) {
    if ($i == 50) {
        echo $i;
    } else {
        echo $i . ",";
    }
} ?>" type="text" data-slider="true" value="5" />
                                            <span style="position:absolute; top: 4px;left: 160px;">5</span>
                                        </div>
                                    </li>
                                    <li>
                                        <label for="circle_line_color">Line Color</label>
                                        <input type="text" class="jscolor circle_options_input" id="circle_line_color" name="circle_line_color" value="FF2B39" />
                                    </li>
                                    <li class="has_background">
                                        <label for="circle_line_opacity">Line Transparency</label>
                                        <div class="slider-container" style="float:left; width:55%; height:25px; ">
                                            <input type="text" class="circle_options_input" id="circle_line_opacity" name="circle_line_opacity" data-slider-highlight="true"  data-slider-values="0,0.1,0.2,0.3,0.4,0.5,0.6,0.7,0.8,0.9,1" type="text" data-slider="true" value="0.8" />
                                            <span style="position:absolute; top: 4px;left: 160px;">0.8</span>
                                        </div>
                                    </li>
                                    <li>
                                        <label for="circle_fill_color">Fill Color</label>
                                        <input type="text" class="jscolor circle_options_input" id="circle_fill_color" name="circle_fill_color" value="4FFF72" />
                                    </li>
                                    <li class="has_background">
                                        <label for="circle_fill_opacity">Fill Transparency</label>
                                        <div class="slider-container" style="float:left; width:55%; height:25px;" >
                                            <input  class="circle_options_input" id="circle_fill_opacity" name="circle_fill_opacity" data-slider-highlight="true"  data-slider-values="0,0.1,0.2,0.3,0.4,0.5,0.6,0.7,0.8,0.9,1" type="text" data-slider="true" value="0.4" />
                                            <span style="position:absolute; top: 4px;left: 160px;">0.4</span>
                                        </div>
                                    </li>
                                    <li class="pro">
                                        <label for="hover_circle_fill_jscolor">On-Hover Fill Color</label>
                                        <input type="text" class="jscolor circle_options_input" id="hover_circle_fill_color" name="hover_circle_fill_color" value="96FFA1" />
                                    </li>
                                    <li class="pro has_background">
                                        <label for="hover_circle_fill_opacity">On-Hover Fill Transparency</label>
                                        <div class="slider-container" style=" margin-top: 10px;  float: left;   width: 46%;   height: 25px;   margin-left: 10px;" >
                                            <input  class="circle_options_input" id="hover_circle_fill_opacity" name="hover_circle_fill_opacity" data-slider-highlight="true"  data-slider-values="0,0.1,0.2,0.3,0.4,0.5,0.6,0.7,0.8,0.9,1" type="text" data-slider="true" value="0.3" />
                                            <span style="position:absolute; top: 4px;left: 160px;">0.3</span>
                                        </div>
                                    </li>
                                    <li class="pro">
                                        <label for="hover_circle_line_color">On-Hover Line Color</label>
                                        <input type="text" class="jscolor circle_options_input" id="hover_circle_line_color" name="hover_circle_line_color" value="FF5C5C" />
                                    </li>
                                    <li class="pro has_background">
                                        <label for="hover_circle_line_opacity">On-Hover Line Transparency</label>
                                        <div class="slider-container" style=" margin-top: 10px;  float: left;   width: 46%;   height: 25px;   margin-left: 10px;">
                                            <input type="text" class="circle_options_input" id="hover_circle_line_opacity" name="hover_circle_line_opacity" data-slider-highlight="true"  data-slider-values="0,0.1,0.2,0.3,0.4,0.5,0.6,0.7,0.8,0.9,1" type="text" data-slider="true" value="0.6" />
                                            <span style="position:absolute; top: 4px;left: 160px;">0.6</span>
                                        </div>
                                    </li>
                                </ul>
                                <div>
                                    <input type="submit" class="btn btn-small btn-success button-primary" id="circle_submit" name="circle_submit" value="Save"  map_id = "<?php echo $mapId ?>"/>
                                    <a href="#" id="cancel_circle" class="cancel">Cancel</a>
                                    <div id="createCircleResult" style="float: left; color: #900000"></div>
                                </div>
                            </div>
                        </form>
                        <div id="circle_edit_exist_section">
                            <div class="edit_list_heading">
                                <div class="list_number"> ID </div>
                                <div class="edit_list_item">Title </div>
                                <div class="edit_list_delete"> Action</div>
                            </div>

<?php $i = 1; ?>


                            <ul class="list_exist" id="circle_list_exist">
<?php
foreach ($this->circles as $circle) {
    $j = $i % 2;
    ?>
                                    <li class="edit_list <?php if ($j == 1) {
        echo "has_background";
    } ?>" data-list_id="<?php echo $circle->id; ?>" id="<?= 'circleId_' . $circle->id; ?>" circleAttrId_<?php echo $circle->id; ?> ="<?php echo $circle->id; ?>"  >
                                        <div class="list_number">
    <?php echo $i; ?>
                                        </div>
                                        <div class="edit_list_item">
    <?php if (!empty($circle->name)) {
        echo $circle->name;
    } else {
        echo "-";
    } ?>
                                        </div>
                                        <div class="edit_circle_list_delete edit_list_delete">
                                            <form class="edit_list_delete_form" method="post" action="<?php echo JRoute::_('index.php?option=com_googlemaps&id=' . (int) $this->item->id); ?>">
                                                <input type="submit" class="btn btn-mini button  button edit_list_delete_submit" name="edit_list_delete_submit" value=""
                                                       onclick='getValueForCircleDelete("circleId_<?php echo $circle->id; ?>", "circleAttrId_<?php echo $circle->id; ?>")' style="background: url(../media/com_googlemaps/images/close.png) center center no-repeat ;width: 34px;height: 26px"/>
                                                <input type="hidden" class="edit_list_delete_type" name="edit_list_delete_type" value="circle" />
                                                <input type="hidden" class="edit_list_delete_table" value="g_circles" />
                                                <input type="hidden" name="delete_circle_id" class="edit_list_delete_id" value="<?php echo $circle->id ?>" />
                                            </form>

                                            <a href="#" class="btn btn-mini edit_circle_list_item" ><img src="<?php echo JUri::root() . 'media/com_googlemaps/images/edit1.png' ?>" style="position: relative;right:3px;top:3px"></a>
                                            <input type="hidden" class="circle_edit_id" name="circle_edit_id" value="<?php echo $circle->id ?>" />

                                        </div>
                                    </li>       
    <?php $i++;
} ?>
                            </ul>                           
                        </div>
                        <form action="<?php echo JRoute::_('index.php?option=com_googlemaps&id=' . (int) $this->item->id); ?>" method="post">
                            <input type="hidden" id="circle_get_id" name="circle_get_id" />
                            <div class="update_list_item hide">
                                <a href="#" id="back_edit_circle" class="cancel left">◄ Back</a>
                                <ul>
                                    <li class="has_background">
                                        <label for="circle_edit_name">Name</label>
                                        <input type="text" id="circle_edit_name" name="circle_edit_name" class="circle_edit_options_input" />
                                    </li>
                                    <li>
                                        <label for="circle_edit_center_addr">Center Address</label>
                                        <input type="text" class="circle_edit_options_input" id="circle_edit_center_addr" name="circle_edit_center_addr" />
                                    </li>
                                    <li class="has_background">
                                        <label for="circle_edit_center_lat">Center Latitude</label>
                                        <input type="text" class="circle_edit_options_input" id="circle_edit_center_lat" name="circle_edit_center_lat" />
                                    </li>
                                    <li >
                                        <label for="circle_edit_center_lng">Center Longitude</label>
                                        <input type="text" class="circle_edit_options_input" id="circle_edit_center_lng" name="circle_edit_center_lng" />
                                    </li>

                                    <li class="has_background">
                                        <label>Show Marker?</label>
                                        <label class="radio_label" for="circle_edit_marker_show">YES</label>
                                        <input type="radio" class="radio circle_edit_marker_show" name="circle_edit_marker_show" id="circle_edit_marker_show_true" value="1" >
                                        <label class="radio_label" for="circle_edit_marker_show">NO</label>
                                        <input type="radio" class="radio circle_edit_marker_show"  name="circle_edit_marker_show" id="circle_edit_marker_show_false" value="0" >
                                    </li>
                                    <li>
                                        <label for="circle_radius">Radius(meter)</label>
                                        <input type="number" class="circle_edit_options_input" id="circle_edit_radius" name="circle_edit_radius" value="1000000" />
                                    </li>
                                    <li class="has_background">
                                        <label for="circle_edit_line_width">Line Width</label>
                                        <div class="slider-container" style="float:left; width:55%; height:25px; ">
                                            <input type="text" class="circle_edit_options_input" id="circle_edit_line_width" name="circle_edit_line_width" data-slider-highlight="true"  data-slider-values="<?php for ($i = 0; $i <= 50; $i++) {
    if ($i == 50) {
        echo $i;
    } else {
        echo $i . ",";
    }
} ?>" type="text" data-slider="true" value="" />
                                            <span style="position:absolute; top: 4px;left: 160px;"></span>
                                        </div>
                                    </li>
                                    <li>
                                        <label for="circle_edit_line_color">Line Color</label>
                                        <input type="text" class="jscolor circle_edit_options_input" id="circle_edit_line_color" name="circle_edit_line_color" value="FF0000" />
                                    </li>
                                    <li class="has_background">
                                        <label for="circle_edit_line_opacity">Line Transparency</label>
                                        <div class="slider-container" style="float:left; width:55%; height:25px; ">
                                            <input type="text" class="circle_edit_options_input" id="circle_edit_line_opacity" name="circle_edit_line_opacity" data-slider-highlight="true"  data-slider-values="0,0.1,0.2,0.3,0.4,0.5,0.6,0.7,0.8,0.9,1" type="text" data-slider="true" value="" />
                                            <span style="position:absolute; top: 4px;left: 160px;"></span>
                                        </div>
                                    </li>
                                    <li>
                                        <label for="circle_edit_fill_color">Fill Color</label>
                                        <input type="text" class="jscolor circle_edit_options_input" id="circle_edit_fill_color" name="circle_edit_fill_color" value="00FF00" />
                                    </li>
                                    <li class="has_background">
                                        <label for="circle_edit_fill_opacity">Fill Transparency</label>
                                        <div class="slider-container" style="float:left; width:55%; height:25px; ">
                                            <input type="text" class="circle_edit_options_input" id="circle_edit_fill_opacity" name="circle_edit_fill_opacity" data-slider-highlight="true"  data-slider-values="0,0.1,0.2,0.3,0.4,0.5,0.6,0.7,0.8,0.9,1" type="text" data-slider="true" value="" />
                                            <span style="position:absolute; top: 4px;left: 160px;"></span>
                                        </div>
                                    </li>
                                    <li class="pro">
                                        <label for="hover_circle_edit_fill_color">On-Hover Fill Color</label>
                                        <input type="text" class="jscolor circle_options_input" id="hover_circle_edit_fill_color" name="hover_circle_edit_fill_color" />
                                    </li>
                                    <li class="pro has_background">
                                        <label for="hover_circle_edit_fill_opacity">On-Hover Fill Transparency</label>
                                        <div class="slider-container" style="margin-top: 10px;  float: left;   width: 46%;   height: 25px;   margin-left: 10px;" >
                                            <input  class="circle_options_input" id="hover_circle_edit_fill_opacity" name="hover_circle_edit_fill_opacity" data-slider-highlight="true"  data-slider-values="0,0.1,0.2,0.3,0.4,0.5,0.6,0.7,0.8,0.9,1" type="text" data-slider="true" />
                                            <span style="position:absolute; top: 4px;left: 160px;"></span>
                                        </div>
                                    </li>
                                    <li class="pro">
                                        <label for="hover_circle_edit_line_color">On-Hover Line Color</label>
                                        <input type="text" class="jscolor circle_options_input" id="hover_circle_edit_line_color" name="hover_circle_edit_line_color" />
                                    </li>
                                    <li class="pro has_background">
                                        <label for="hover_circle_edit_line_opacity">On-Hover Line Transparency</label>
                                        <div class="slider-container" style="margin-top: 10px;  float: left;   width: 46%;   height: 25px;   margin-left: 10px; ">
                                            <input type="text" class="circle_options_input" id="hover_circle_edit_line_opacity" name="hover_circle_edit_line_opacity" data-slider-highlight="true"  data-slider-values="0,0.1,0.2,0.3,0.4,0.5,0.6,0.7,0.8,0.9,1" type="text" data-slider="true" />
                                            <span style="position:absolute; top: 4px;left: 160px;"></span>
                                        </div>
                                    </li>
                                </ul>
                                <div> 
                                    <input type="submit" class="btn btn-small btn-success button-primary" id="circle_edit_submit" name="circle_edit_submit" value="Save"  map_id  ="<?php echo $mapId; ?>" />
                                    <a href="#" id="cancel_edit_circle" class="cancel">Cancel</a>
                                    <div id ="createCircleResult" style="float: left;color: #900000"></div>
                                </div>
                            </div>
                        </form>
                    </div>
                </div>
            </li>

            <li class="editing_section">
                <div class="editing_heading">Layers
                    <div class="help">?
                        <div class="help-block">
                            <span class="pnt"></span>
                            <p>Highlighted road areas on map, highlight the roads and real-time traffic on them, make bicycle road highlighted on your map, transit roads, which connects cities etc...</p>
                        </div>
                    </div>
                    <span class="heading_arrow">▼</span>
                </div>
                <div class="edit_content map_options hide">
                    <form action ="<?php echo JRoute::_('index.php?option=com_googlemaps&id=' . (int) $this->item->id); ?>" method="post">
                        <ul>
                            <li class="has_background pro">
                                <label for="traffic_layer_enable">Enable Traffic Layer 
                                </label>
                                <input  type="checkbox" class="map_layers_inputs" id="traffic_layer_enable" name="traffic_layer_enable" value="true" style="margin-top:15px;margin-left:30px" />
                            </li>
                            <li class="pro">
                                <label for="bicycling_layer_enable">Enable Bicycling Layer</label>
                                <input type="checkbox" class="map_layers_inputs" id="bicycling_layer_enable" name="bicycling_layer_enable" value="true"  style="margin-top:15px;margin-left:30px"/>
                            </li>
                            <li class="has_background pro">
                                <label for="transit_layer_enable">Enable Transit layer</label>
                                <input type="checkbox" class="map_layers_inputs" id="transit_layer_enable" name="transit_layer_enable" value="true"  style="margin-top:15px;margin-left:30px"/>
                            </li>
                        </ul>
                        <input type="button" onclick = "alert('Layers are disabled in free version.If you need those functionalities, you  need to buy the commercial version.')" class="btn btn-small btn-success button-primary" id="submit_layers" name="submit_layers" value="Save" />
                        <div id="updateLayerResult" style="float: left"></div>
                    </form>
                </div>
            </li>
            <li class="editing_section">
                <div class="editing_heading">Map Styling
                    <div class="help">?
                        <div class="help-block">
                            <span class="pnt"></span>
                            <p>Choose some color/tone for the current  map</p>
                        </div>
                    </div>
                    <span class="heading_arrow">▼</span>
                </div>
                <div class="edit_content map_options hide">
                    <form action ="<?php echo JRoute::_('index.php?option=com_googlemaps&id=' . (int) $this->item->id); ?>" method="post">
                        <ul>
                            <li class="has_background pro">
                                <label for="g_map_styling_hue">Hue(color)</label>
                                <input type="text" class="jscolor map_styling_options_inputs" id="g_map_styling_hue" name="g_map_styling_hue" value="FFFFFF" />
                            </li>
                            <li class="pro">
                                <label for="g_map_styling_lightness">Lightness</label>
                                <div class="slider-container" style="    margin-left: 11px;
                                     float: left;
                                     width: 44%;
                                     height: 25px;
                                     margin-top: 7px;">
                                    <input class="map_styling_options_inputs" name="g_map_styling_lightness" id="g_map_styling_lightness" data-slider-highlight="true"  data-slider-values="<?php for ($i = -100; $i < 101; $i++) {
    if ($i != 100) {
        echo $i . ",";
    } else {
        echo $i;
    }
} ?>" type="text" data-slider="true" value="0" />
                                    <span style="position:absolute; top: 4px;left: 160px;">0</span>
                                </div>
                            </li>
                            <li class="has_background pro">
                                <label for="g_map_styling_saturation">Saturation</label>
                                <div class="slider-container" style="    margin-left: 11px;
                                     float: left;
                                     width: 44%;
                                     height: 25px;
                                     margin-top: 7px; ">
                                    <input class="map_styling_options_inputs" name="g_map_styling_saturation" id="g_map_styling_saturation" data-slider-highlight="true"  data-slider-values="<?php for ($i = -100; $i < 101; $i++) {
    if ($i != 100) {
        echo $i . ",";
    } else {
        echo $i;
    }
} ?>" type="text" data-slider="true" value="0" />
                                    <span style="position:absolute; top: 4px;left: 160px;">0</span>
                                </div>
                            </li>
                            <li class="pro">
                                <label for="g_map_styling_gamma">Gamma</label>
                                <div class="slider-container" style="    margin-left: 11px;
                                     float: left;
                                     width: 44%;
                                     height: 25px;
                                     margin-top: 7px;">
                                    <input class="map_styling_options_inputs" name="g_map_styling_gamma" id="g_map_styling_gamma" data-slider-highlight="true"  data-slider-values="<?php for ($i = 1; $i < 11; $i++) {
    if ($i != 10) {
        echo $i . ",";
    } else {
        echo $i;
    }
} ?>" type="text" data-slider="true" value="1" />
                                    <span style="position:absolute; top: 4px;left: 160px;">1</span>
                                </div>
                            </li>
                        </ul>
                        <input type="button" class="btn btn-small btn-success button-primary" id="styling_submit" name="styling_submit" value="Save" map_id="<?php echo $mapId ?>" onclick = "alert('Map Styling is disabled in free version.If you  need those functionalities, you need to buy the commercial version.')" />
                        <input type="button" class="btn btn-small btn-success cancel_button" id="styling_set_default" value="Default"  map_id="<?php echo $mapId ?>"  onclick = "alert('Map Styling is disabled in free version.If you  need those functionalities, you need to buy the commercial version.')"/>
                    </form>
                </div>
            </li>


        </ul>
        <div id="g_maps">
            <div id="g_map_canvas" class="g_map hide" style="height:<?php echo $mapHeight ?>px;width:<?php echo $mapWidth / 2 ?>%;border-radius:<?php echo $mapBorderRadius ?>px;position:relative !important"></div>
            <div id="g_map_marker" class="g_map hide" style="height:<?php echo $mapHeight ?>px;width:<?php echo $mapWidth / 2 ?>%;border-radius:<?php echo $mapBorderRadius ?>px;position:relative !important"></div>
            <div id="g_map_marker_edit" class="g_map hide" style="height:<?php echo $mapHeight ?>px;width:<?php echo $mapWidth / 2 ?>%;border-radius:<?php echo $mapBorderRadius ?>px;position:relative !important"></div>
            <div id="g_map_polygon" class="g_map hide" style="height:<?php echo $mapHeight ?>px;width:<?php echo $mapWidth / 2 ?>%;border-radius:<?php echo $mapBorderRadius ?>px;position:relative !important"></div>
            <div id="g_map_polyline" class="g_map hide" style="height:<?php echo $mapHeight ?>px;width:<?php echo $mapWidth / 2 ?>%;border-radius:<?php echo $mapBorderRadius ?>px;position:relative !important"></div>
            <div id="g_map_circle" class="g_map hide" style="height:<?php echo $mapHeight ?>px;width:<?php echo $mapWidth / 2 ?>%;border-radius:<?php echo $mapBorderRadius ?>px;position:relative !important"></div>
            <div id="g_map_polygone_edit" class="g_map hide" style="height:<?php echo $mapHeight ?>px;width:<?php echo $mapWidth / 2 ?>%;border-radius:<?php echo $mapBorderRadius ?>px;position:relative !important"></div>
            <div id="g_map_polyline_edit" class="g_map hide" style="height:<?php echo $mapHeight ?>px;width:<?php echo $mapWidth / 2 ?>%;border-radius:<?php echo $mapBorderRadius ?>px;position:relative !important"></div>
            <div id="g_map_circle_edit" class="g_map hide" style="height:<?php echo $mapHeight ?>px;width:<?php echo $mapWidth / 2 ?>%;border-radius:<?php echo $mapBorderRadius ?>px;position:relative !important"></div>
        </div>
    </div>
</div>
<style>
    .btn-mini  { 
        background-image: url(<?php echo JUri::root() . "media/com_googlemaps/images/close.png"; ?>) center center no-repeat !important;
    }
</style>

<style>
    .pro {
        background:url(<?php echo Juri::root() . "media/com_googlemaps/images/pro.png"; ?>) 43% center no-repeat;
    }

    .pro_icon, .pro input, .pro select, .pro label, .pro div {
        opacity:0.6
    }
</style>
<div>
    <input type="hidden" name="task" value="com_googlemaps">
<?php echo JHtml::_('form.token'); ?>
</div>
<div style=" position:absolute; width:1px; height:1px; top:0px; overflow:hidden">
    <textarea id="tempimage" name="tempimage" class="mce_editable"></textarea><br />
</div>
<?php $editor->display('description', 'sss', '0', '0', '0', '0'); ?> </div>
