 <?php 
/**
 * @package Google Maps
 * @author Huge-IT
 * @copyright (C) 2014 Huge IT. All rights reserved.
 * @license GNU/GPLv3 http://www.gnu.org/licenses/gpl-3.0.html
 * @website		http://www.huge-it.com/
 **/
defined('_JEXEC') or die('Restricted access');

jimport('joomla.plugin.plugin');
jimport('joomla.event.plugin');

class plgSystemGooglemaps extends JPlugin {    
      function __construct( &$subject ) {
        parent::__construct( $subject );
        $this->_plugin = JPluginHelper::getPlugin( 'system', 'googlemaps' );
        $this->_params = json_decode( $this->_plugin->params );
        JPlugin::loadLanguage('plg_system_googlemaps', JPATH_ADMINISTRATOR);
    }
    function make_googlemaps($m) {
        $id_googlemaps = (int) $m[2];
    	require_once JPATH_SITE.'/components/com_googlemaps/helpers/helper.php';
    	$googlemaps_class = new GooglemapsHelper;
    	$googlemaps_class->googlemaps_id = $id_googlemaps;
    	$googlemaps_class->type = 'plugin';
    	//$googlemaps_class->class_suffix = 'cis_plg';
    	$googlemaps_class->module_id = $this->plg_order;
    	$this->plg_order ++;
    	return  $googlemaps_class->render_html();
    }
    function render_styles_scripts() {
        $document = JFactory::getDocument();
    	$content = JResponse::getBody();
    	$scripts = '<script src="https://maps.googleapis.com/maps/api/js?v=3.exp&sensor=false&libraries=places" type="text/javascript"></script>'."\n";
    	$content = str_replace('</head>', $scripts . '</head>', $content);
    	return $content;
    }
    
    function onAfterRender() {
      $mainframe = JFactory::getApplication();
      if($mainframe->isAdmin())
        return;

      $plugin = JPluginHelper::getPlugin('system', 'googlemaps');
      $pluginParams = json_decode( $plugin->params );

      $content = JResponse::getBody();
      
      //add scripts
      if(preg_match('/(\[huge_it_maps_id="([0-9]+)"\])/s',$content))
        $content = $this->render_styles_scripts();
      else
      	return;
      $this->plg_order = 100000;
      $c = preg_replace_callback('/(\[huge_it_maps_id="([0-9]+)"\])/s',array($this, 'make_googlemaps'),$content);
      JResponse::setBody($c);
    }
}
function huge_it_maps_id($id_cat) {  
     include 'components/com_googlemaps/views/googlemaps/tmpl/shortcode.php';
        shortcode($id_cat);
}